/*
 * @(#)CharToByteISO2022CN_GB.java	1.6 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.io;

/**
* @author Tom Zhou
*/

public class CharToByteISO2022CN_GB extends CharToByteISO2022
{
    public CharToByteISO2022CN_GB()
    {
	SODesignator = "$)A";
	try {
	    codeConverter = CharToByteConverter.getConverter("GB2312");
        } catch (Exception e) {};
    }
	
    /**
     * returns the maximum number of bytes needed to convert a char
     */
    public int getMaxBytesPerChar()
    {
	return maximumDesignatorLength+4;
    }

    /**
     * Return the character set ID
     */
    public String getCharacterEncoding() 
    {
        return "ISO2022CN_GB";
    }

}
