/*
 * @(#)CharToByteX11JIS0208.java	1.11 98/06/30
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.motif;
import sun.io.CharToByteJIS0208;

public class CharToByteX11JIS0208 extends CharToByteJIS0208 {

    public String getCharacterEncoding() {
	return "X11JIS0208";
    }

    public boolean canConvert(char ch){
	if (getNative(ch) != 0){
	    return true;
	}
	
	return false;
    }

    public int convert(char[] input, int inOff, int inEnd,
		       byte[] output, int outOff, int outEnd){

	for (int i = inOff; i < inEnd; i++) {
	    char ch = input[i];
	    
	    int jishex = getNative(ch);

	    output[outOff++] = (byte)(jishex >> 8);
	    output[outOff++] = (byte)(jishex & 0xff);
	}

	return (inEnd - inOff) * 2;
    }

}

