/*
 * @(#)InputMethodChar.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.im.iiimp;

/**
 * The InputMethodChar class encapsulates the representation 
 * of a feedback character from an input method.
 */
//public 
class InputMethodChar {

    /**
     * The value of a character to be drawn.
     */
    public char c;

    /**
     * The feedback array which contains rendering types for
     * the character.
     */
    public InputMethodFeedback fd[];
}
