/*
 * @(#)LookupListener.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.im.iiimp;

/**
 * The callback interface for drawing lookup candidates.
 */
//public 
interface LookupListener extends java.util.EventListener {

    /** Invoked when the lookup process is initiated. */
    public void lookupStart(LookupEvent e);

    /** Invoked when the lookup data is sent by the input method. */
    public void lookupDraw(LookupEvent e);

    /**
     * Invoked when the page of the lookup window and the attributes of
     * the lookup candidates are updated.
     */
    public void lookupProcess(LookupEvent e);

    /** Invoked when the lookup process is done. */
    public void lookupDone(LookupEvent e);
}
