/*
 * @(#)Packet.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.im.iiimp;

class Packet {
    int protocol;
    byte[] buf = null;
    int len;

    Packet(int protocol, byte[] b, int len) {
	this.protocol = protocol;
	if (len > 0) {
	    this.buf = new byte[len];
	    System.arraycopy(b, 0, this.buf, 0, len);
	}
	this.len = len;
    }
}
