/*
 * @(#)PacketData.java	1.3 98/05/11
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.im.iiimp;

import java.io.IOException;

class PacketData extends Data {

    int protocol;

    PacketData(int protocol) {
	super();
	this.protocol = protocol;
    }

    PacketData(Packet packet) {
	super(packet.buf, packet.len);
	this.protocol = packet.protocol;
    }

    Packet toPacket() throws IOException {
	int pad = Data.paddings(count);
	int total = count + pad;
	for (int i = count; i < total; i++) {
	    write(0);
	}
	return new Packet(protocol, buf, count);
    }
}
