/*
 * @(#)StatusListener.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.im.iiimp;

/**
 *  The callback interface for drawing status text.
 */
//public 
interface StatusListener extends java.util.EventListener {

    /** Invoked when the input context is created or gains focus. */
    public void statusStart(StatusEvent e);

    /** Invoked when the input context is destroyed or loses focus. */
    public void statusDone(StatusEvent e);

    /** Invoked when the input context status has to be updated. */
    public void statusDraw(StatusEvent d);
}
