/*
 * @(#)RequestHandler.java	1.2 98/06/29
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package com.sun.CORBA;

/**
 * A RequestHandler is responsible for finding the appropriate
 * server subcontracts to dispatch the incoming request to. There
 * exists one RequestDispatcher for a GIOPServer.
 */
public interface RequestHandler {

    /**
     * Process this request and return the response.
     */
    public ServerResponse process(ServerRequest request)
	throws Throwable;

    /**
     * Process a locate request.
     */
    public IOR locate(byte[] key);
}
