/*
 * @(#)EndPointImpl.java	1.4 98/06/29
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package com.sun.CORBA.iiop;

import java.net.InetAddress;

import com.sun.CORBA.EndPoint;

class EndPointImpl implements EndPoint {
    EndPointImpl(int type, int port, InetAddress ip, String hostname) {
	this.type = type;
	this.port = port;
	this.ip = ip;
	this.hostname = hostname;
    }

    public int getType() {
	return type;
    }

    public int getPort() {
	return port;
    }

    public InetAddress getInetAddress() {
	return ip;
    }

    public String getHostName() {
	return hostname;
    }

    private int type;
    private int port;
    private InetAddress ip;
    private String hostname;
}
