/*
 * @(#)ForwardException.java	1.8 98/06/29
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package com.sun.CORBA.iiop;

import com.sun.CORBA.IOR;

/**
 * Thrown to signal an OBJECT_FORWARD or LOCATION_FORWARD
 */

public class ForwardException extends Exception {
    private IOR forwardedIOR;

    public ForwardException(IOR ior) {
        super();
	forwardedIOR = ior;
    }

    public IOR getIOR()
    {
	return forwardedIOR;
    }
}
