/*
 * @(#)SubcontractList.java	1.6 98/09/21
 *
 * Copyright 1998-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package com.sun.CORBA.util;

import com.sun.CORBA.idl.GenericCORBAServerSC;

public final class SubcontractList {
    /**
     * Following are the IDs (numbers) assigned to all our
     * subcontracts.
     */
    public static final int Generic = 2;

    public static final int defaultSubcontract = Generic;
    
    public static final SubcontractEntry[] subcontracts
	= new SubcontractEntry[] {
	    new SubcontractEntry(Generic, GenericCORBAServerSC.class, null)
	  };

    public static class SubcontractEntry {
	public int   id;
	public Class serverSC;
	public Class clientSC;

	public SubcontractEntry(int id, Class serverSC, Class clientSC) {
	    this.id = id;
	    this.serverSC = serverSC;
	    this.clientSC = clientSC;
	}
    }
}


