/*
 * @(#)Class11SubWriter.java	1.5 98/04/17
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package com.sun.tools.doclets.oneone;

import com.sun.javadoc.*;
import com.sun.tools.doclets.*;

/**
 *
 * @author Robert Field
 */
public class Class11SubWriter extends Abstract11SubWriter {

    Class11SubWriter(Class11Writer writer) {
        super(writer);
    }

    public ProgramElementDoc[] members(ClassDoc cd) {
        return cd.innerClasses();
    }

    protected void printHeader(ClassDoc cd) {
        // N.A.
    }

    protected void printFooter(ClassDoc cd) {
        // N.A.
    }

    protected void printMember(ClassDoc cd, ProgramElementDoc member) {
        // N.A.
    }

    protected void printDeprecatedLink(ProgramElementDoc member) {
        writer.printClassLink((ClassDoc)member);
    }

    protected void printInnerClassBall(ClassDoc cd, boolean small) {
        if (cd.isStatic()) {
            writer.printBall("blue-ball", "Blue Ball", small);
        } else {
            writer.printBall("magenta-ball", "Magenta Ball", small);
        }
    }    

    public void printSummaryLabel(ClassDoc cd) {
            writer.printBanner("class-index", "doclet.Class_Index", 216, 37);
    }

    protected void printSummaryLink(ClassDoc cd, ProgramElementDoc member) {
            writer.printClassLink((ClassDoc)member);
    }
  
    protected void printSummaryType(ProgramElementDoc member) {
            printInnerClassBall((ClassDoc)member, true);
    }
}  
    
    
