/*
 * @(#)AudioRmfInputStream.java	1.11 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package sun.audio;

/**
 * Rmf file format audio streams.
 * @version 1.11 98/09/21
 * @author Kara Kyttle
 * @author David Rivas
 */

import java.io.InputStream;
import java.io.IOException;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.ByteArrayOutputStream;

class AudioRmfInputStream extends AudioMidiInputStream {

    /**
     * AudioRmfInputStream
     * Constructor for java.media.audio.AudioRmfInputStream.
     * Read data from any input stream and set Audio format.
     * Any bytes which have already been read from the stream 
     * are provided in an array of bytes.
     *
     * This should get called by ACIS.getStream().
     */

    AudioRmfInputStream(byte[] bytes, InputStream in)
	throws IOException, BadAudioHeaderException {
	    super(bytes, in);
    }
}
