/*
 * @(#)AudioTranslatorStream.java	1.9 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.audio;

import java.io.InputStream;
import java.io.DataInputStream;
import java.io.FilterInputStream;
import java.io.IOException;

/**
 * Translator for native audio formats (not implemented in this release).
 *
 * @version 1.9,  98/09/21 22:42:31.
 */
public
class AudioTranslatorStream extends NativeAudioStream {

    private int length = 0;

    public AudioTranslatorStream(InputStream in) throws IOException {
	super(in);
	// No translators supported yet.
	throw new InvalidAudioFormatException();
    }

    public int getLength() {
	return length;
    }
}
