/*
 * @(#)DrawingSurface.java	1.4 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt;

/**
 * Objects which control or maintain a portion of screen real
 * estate or other renderable surface (such as an off-screen
 * image buffer) can implement this interface to allow other
 * Java modules or native libraries to gain direct access to
 * their pixels.
 *
 * @version 	1.4, 09/21/98
 * @author 	Jim Graham
 */
public
interface DrawingSurface {
    /**
     * Return the Info object which describes how to directly access
     * the screen drawing surface of this object.
     */
    public DrawingSurfaceInfo	getDrawingSurfaceInfo();
}
