/*
 * @(#)ProfileDeferralInfo.java	1.1 98/05/04
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.color;

import java.io.InputStream;
import java.io.IOException;


/**
 * A class to pass information about a profile to be loaded from
 * a file to the static getInstance(InputStream) method of
 * ICC_Profile.  Loading of the profile data and initialization
 * of the CMM is to be deferred as long as possible.
 */
public class ProfileDeferralInfo extends InputStream {

    public int colorSpaceType, numComponents, profileClass;
    public String filename;

    public ProfileDeferralInfo(String fn, int type, int ncomp, int pclass) {

        super();
        filename = fn;
        colorSpaceType = type;
        numComponents = ncomp;
        profileClass = pclass;
    }


    /**
     * Implements the abstract read() method of InputStream.
     */
    public int read() throws IOException {

        return 0;
    }

}
