/*
 * @(#)PixelStore32.java	1.8 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.image;

import java.awt.image.*;

public class PixelStore32 extends PixelStore {
    public PixelStore32() {
    }

    public PixelStore32(int w, int h) {
	super(w, h);
    }

    public PixelStore32(int w, int h, ColorModel cm) {
	setDimensions(w, h);
	setColorModel(cm);
    }

    public void setDimensions(int w, int h) {
	super.setDimensions(w, h);
    }

    Object allocateLines(int num) {
	return (Object) new int[num * width];
    }

    void replayLines(ImageConsumer ic, int i, int cnt, Object line) {
	ic.setPixels(0, i, width, cnt, colormodel,
		     (int[]) line, offsets[i], width);
    }
}
