/*
 * @(#)LineStylePipe.java	1.3 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.java2d.pipe;

/**
 * This interface defines the set of calls used to communicate line style
 * attributes to a pipeline that can handle its own wide and dashed lines.
 */
public interface LineStylePipe {
    public void setLineAttrs(float scale, float width,
			     float dashes[], float phase,
			     int endcaps, int linejoins);
}
