/*
 * @(#)VMNotification.java	1.6 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.misc;

/** @deprecated */

public interface VMNotification {

    // when the vm switches allocation states, we get notified
    // (possible semantics: if the state changes while in this
    // notification, don't recursively notify).
    // oldState and newState may be the same if we are just releasing
    // suspended threads.
    void newAllocState(int oldState, int newState,
		       boolean threadsSuspended);
}
