/*
 * @(#)PlainTextInputStream.java	1.7 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.net.www.content.text;
import java.io.InputStream;
import java.io.FilterInputStream;

/**
 * PlainTextInputStream class extends the FilterInputStream class. 
 * Currently all calls to the PlainTextInputStream object will call 
 * the corresponding methods in the FilterInputStream class.  Hence 
 * for now its use is more semantic.
 *
 * @author Sunita Mani
 * @version 1.7, 09/21/98
 */ 
public class PlainTextInputStream extends FilterInputStream {

    /**
     * Calls FilterInputStream's constructor.
     * @param an InputStream
     */
    PlainTextInputStream(InputStream is) {
	super(is);
    }
}
