/*
 * @(#)Handler.java	1.9 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.net.www.protocol.appletresource;

import java.io.*;
import java.net.*;


/**
 * AppletResource: represents a resource obtained through an AppletClassLoader
 * Resource URLs are of the form "appresource:<baseURL>/+/<resource name>"
 *
 * @see		AppletResourceConnection
 * @version 	1.9, 09/21/98
 * @author	Eduardo Pelegri-Llopart
 */

public class Handler extends URLStreamHandler {
    public URLConnection openConnection(URL u) throws IOException {
	return new AppletResourceConnection(u);
    }
}

