/*
 * @(#)Handler.java	1.16 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.net.www.protocol.news;

import java.io.*;
import java.util.*;
import sun.net.nntp.*;
import java.net.URL;
import java.net.URLStreamHandler;

/** open an nntp input stream given a URL */
public class Handler extends URLStreamHandler implements Runnable {
    static newsFetcher fetch;
    public InputStream openStream(URL u) {
	u.setType("text/html");
	PipedOutputStream os = new PipedOutputStream();
	PipedInputStream ret = new PipedInputStream();
	ret.connect(os);
	if (fetch == null)
	    fetch = new newsFetcher();
	fetch.fireUp(u.file, os);	/* create a thread to generate this
					 * article */
	return ret;
    }
}

