/*
 * @(#)ReadIndicator.java	1.9 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.net.www.protocol.news;

import java.io.*;
import java.util.*;
import sun.net.nntp.*;
import sun.net.smtp.SmtpClient;
import browser.Applet;
import browser.WRWindow;
import browser.DocumentManager;
import sun.net.TelnetInputStream;
import sun.net.UnknownHostException;
import awt.*;

class ReadIndicator extends Applet {
    int anum;
    Newsgroup group;
    Color fg;
    public void init() {
	group = newsFetcher.findGroup(getAttribute("group"));
	anum = Integer.parseInt(getAttribute("article"));
	resize(10, 10);
    }
    /**
     * Paint the current frame.
     */
    public void paint(Graphics g) {
	g.drawLine(0, 4, 0, 9);
	g.drawLine(6, 4, 6, 9);
	g.drawLine(0, 4, 6, 4);
	g.drawLine(0, 9, 6, 9);
	if (group != null && !group.contains(anum)) {
	    g.setForeground(Color.red);
	    g.drawLine(0, 5, 3, 9);
	    g.drawLine(3, 9, 9, 0);
	}
    }
    public void mouseDown(int x, int y) {
	if (group != null) {
	    if (group.contains(anum))
		group.markAsRead(anum);
	    else
		group.markAsUnread(anum);
	    repaint();
	}
    }
}
