/*
 * @(#)Handler.java	1.9 98/03/18
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/**
 * System Resources are of the form
 * 	systemresource:/FILE<path to the directory base>/+/<name of resource>
 * or
 * 	systemresource:/ZIP<path to the zip file>/+/<name of resource>
 *
 * @see		SystemResourceConnection
 * @version 	1.9, 03/18/98
 * @author	Eduardo Pelegri-Llopart
 */

package sun.net.www.protocol.systemresource;

import java.io.*;
import java.net.*;


public class Handler extends URLStreamHandler {
    public URLConnection openConnection(URL u) throws IOException {
	return new SystemResourceURLConnection(u);
    }
}
