/*
 * @(#)AllPermissionsImpl.java	1.9 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.security.acl;

import java.security.Principal;
import java.security.acl.*;

/**
 * This class implements the principal interface for the set of all permissions.
 * @author Satish Dharmaraj
 */
public class AllPermissionsImpl extends PermissionImpl {

    public AllPermissionsImpl(String s) {
	super(s);
    }

    /**
     * This function returns true if the permission passed matches the permission represented in 
     * this interface.
     * @param another The Permission object to compare with.
     * @returns true always
     */
    public boolean equals(Permission another) {
	return true;
    }
}
