/*
 * @(#)GeneralNamesException.java	1.6 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.security.x509;

import java.security.GeneralSecurityException;

/**
 * Generic General Names Exception.
 *
 * @author Amit Kapoor
 * @author Hemma Prafullchandra
 * @version 1.6
 */
public class GeneralNamesException extends GeneralSecurityException {
    /**
     * Constructs a GeneralNamesException with no detail message.
     */
    public GeneralNamesException() {
        super();
    }

    /**
     * Constructs the exception with the specified error message.
     *
     * @param message the requisite error message.
     */
    public GeneralNamesException(String message) {
        super(message);
    }
}
