/*
 * @(#)java_props.h	1.1 98/06/30
 *
 * Copyright 1994-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifndef _JAVA_PROPS_H
#define _JAVA_PROPS_H

typedef struct {
    char *os_name;
    char *os_version;
    char *os_arch;

    char *tmp_dir;
    char *font_dir;
    char *user_dir;

    char *file_separator;
    char *path_separator;
    char *line_separator;

    char *user_name;
    char *user_home;

    char *language;
    char *encoding;
    char *region;
    char *timezone;

    char *printerJob;
    char *graphics_env;
    char *awt_toolkit;

    char *unicode_encoding;	/* The default endianness of unicode
				    i.e. UnicodeBig or UnicodeLittle   */
    
} java_props_t;

java_props_t *GetJavaProperties();

#endif /* _JAVA_PROPS_H */
