/*
 * @(#)HaeEnv.h	1.5 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */



#ifndef HaeStub_H
#define HaeStub_H	1

#include "JncEnv.h"	//KARA4: changed this line


////////////////////////////////////////////////// CLASSES:

class HaeEnv : public JncEnv	//KARA4: changed this line
{
PUBLIC_EXISTENCE:
	HaeEnv(JNIEnv* e)
	: JncEnv(e)
	{}

PUBLIC_OPERATIONS:
	jboolean		ThrowOnError(OPErr opErr);
	jboolean		Throw(ConStr message);

PUBLIC_DATA:
	jint			TranslateQuality(jint haeQuality);
	jint			TranslateInterpolation(jint haeInterpolation);
STA	jint			TranslateModifiers(jint haeModifiers);
	ReverbMode		TranslateReverbType(jint haeReverb);

STA	jint			GetUniqueId();
};


#endif
