/*
 * @(#)HaePath.h	1.6 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */


#ifndef HaePath_H
#define HaePath_H   1

#include "JncString.h"


////////////////////////////////////////////////// CLASSES:

class HaePath : public JncString
{
PUBLIC_EXISTENCE:
    HaePath(JncEnv& env, jstring string)
    : JncString(env, string)
    {}

PUBLIC_OPERATIONS:
    XPTR            ReadFile(long* lengthTarget);
    XFILE           OpenResourceFile();

PUBLIC_DATA:
    jboolean        GetXFilename(XFILENAME* target);//KARA7: changed return type
};


#endif
