/*
 * @(#)JncArray.h	1.8 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */


// JncArray.h

#ifndef JncArray_H
#define JncArray_H  1

#include "JncObject.h"


////////////////////////////////////////////////// CLASS:

class JncArray : public JncObject
{
PUBLIC_EXISTENCE:
    JncArray(JncEnv& env, jarray array)
    : JncObject(env, array)
    {}

PUBLIC_OPERATIONS:

PUBLIC_DATA:
    jarray          GetJObject() const
    { return (jarray)JncObject::GetJObject(); }
    jsize           GetLength() const;
};


#endif
