/*
 * @(#)swaps.c	1.3 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#include "swaps.h"

UInt16
swapWord(UInt16 value) {
    return (((Byte)(value >> 8)) | (value << 8));
}

UInt32
swapLong(UInt32 value) {
    return SWAPW((UInt16)(value >> 16)) | (SWAPW((UInt16)value) << 16);
}

UInt16
swapWordPtr(UInt16** value) {
    UInt16 result = **value;

    ++(*value);
    return SWAPW(result);
}
