/*
 * @(#)shapet.h	1.4 98/07/21
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * SHAPET.H
 * Copyright (C) 1989-1998 all rights reserved by Type Solutions, Inc. Plaistow, NH, USA.
 * Author: Sampo Kaasila
 *
 * This software is the property of Type Solutions, Inc. and it is furnished
 * under a license and may be used and copied only in accordance with the
 * terms of such license and with the inclusion of the above copyright notice.
 * This software or any other copies thereof may not be provided or otherwise
 * made available to any other person or entity except as allowed under license.
 * No title to and ownership of the software or intellectual property
 * therewithin is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
#ifndef __T2K_SHAPET__
#define __T2K_SHAPET__
#ifdef __cplusplus
extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

#include "tt_prvt.h"

#ifdef ALGORITHMIC_STYLES
/*
 * multiplier == 1.0 means do nothing
 */
void tsi_SHAPET_BOLD_GLYPH( GlyphClass *glyph, tsiMemObject *mem, short UPEM, F16Dot16 params[] );
void tsi_SHAPET_BOLD_METRICS( hmtxClass *hmtx, tsiMemObject *mem, short UPEM, F16Dot16 params[] );

#endif /* ALGORITHMIC_STYLES */

typedef struct {
	/* private */
	tsiMemObject *mem;
	/* public */
} SHAPETClass;



#ifdef __cplusplus
}
#endif  /* __cplusplus */
#endif /* __T2K_SHAPET__ */

