/*
 * @(#)mlib_c_ImageBlendTable.h	1.3 98/09/05
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifdef __SUNPRO_C
#pragma ident   "@(#)mlib_c_ImageBlendTable.h	1.3    98/06/26 SMI"
#endif /* __SUNPRO_C */

/*
 *    These tables are used by C versions of the
 *    mlib_ImageBlend_... functions.
 */

#ifndef MLIB_C_IMAGE_BLEND_TABLE_H
#define MLIB_C_IMAGE_BLEND_TABLE_H

#include "mlib_image.h"

extern const mlib_f32 mlib_c_blend_u8[];
extern const mlib_f32 mlib_c_blend_Q8[];
extern const mlib_f32 mlib_c_blend_u8_sat[];

#endif /* MLIB_C_IMAGEF_BLEND_TABLE_H */

