/*
 * @(#)mlib_c_ImageFilters.h	1.9 98/09/05
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifdef _MSC_VER
#pragma warning(disable:4068 4244 4101)
#endif /*_MSC_VER*/

#ifdef __SUNPRO_C
#pragma ident	"@(#)mlib_c_ImageFilters.h	1.12	98/06/26 SMI"
#endif /* __SUNPRO_C */

/*
 *    These tables are used by C versions of the
 *    mlib_ImageRotate and mlib_ImageAffine functions.
 */

#ifndef MLIB_C_IMAGEFILTERS_H
#define MLIB_C_IMAGEFILTERS_H

#include "mlib_image.h"

extern const mlib_f32 mlib_c_blend_u8[],
                      mlib_filters_u8f_bc[],
                      mlib_filters_s16f_bc[];

#endif /* MLIB_C_IMAGEFILTERS_H */
