/*
 * @(#)mlib_image_crew_proto.h	1.2 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */


#ifndef _MLIB_IMAGE_CREW_PROTO_H_
#define _MLIB_IMAGE_CREW_PROTO_H_

#ifdef __SUNPRO_C
#pragma ident "@(#)mlib_image_crew_proto.h	1.1  98/08/19 SMI"
#endif /* __SUNPRO_C */
 
#include <mlib_types.h>
#include <mlib_status.h>
#include <mlib_image_types.h>

#ifdef __cplusplus
extern "C" {
#endif


mlib_status mlib_ImageReversibleColorRGB2YUV(mlib_image *Y,
                                             mlib_image *U,
                                             mlib_image *V,
                                             mlib_image *R,
                                             mlib_image *G,
                                             mlib_image *B,
                                             mlib_s32   depth);

mlib_status mlib_ImageReversibleColorYUV2RGB(mlib_image *R,
                                             mlib_image *G,
                                             mlib_image *B,
                                             mlib_image *Y,
                                             mlib_image *U,
                                             mlib_image *V,
                                             mlib_s32   depth);

mlib_status mlib_ImageWaveletForwardTwoTenTrans(mlib_image *dst,
                                                mlib_image *src,
                                                mlib_s32   *level);

mlib_status mlib_ImageWaveletInverseTwoTenTrans(mlib_image *dst,
                                                mlib_image *src,
                                                mlib_s32   *level);

#ifdef __cplusplus
}
#endif

#endif    /* _MLIB_IMAGE_CREW_PROTO_H_ */
