/*
 * @(#)CJError.c	1.6 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @(#)CJError.c 3.1 97/11/17
 *
 * ---------------------------------------------------------------------
 *	Copyright (c) 1992-1997 by Ductus, Inc. All Rights Reserved.
 * ---------------------------------------------------------------------
 *
 */

#include <jni.h>
#include "CJError.h"

void
CJError_throw(doeE env)
{
    JNIEnv*	jenv = doeE_getPCtxt(env);
    jclass	cls  = (*jenv)->FindClass(jenv, env->msgtable[0]);

    if (cls == NULL) {
	cls  = (*jenv)->FindClass(jenv, "java/lang/ClassNotFoundException");
	(*jenv)->ThrowNew(jenv, cls, env->msgtable[0]);
	return;
    }
    (*jenv)->ThrowNew(jenv, cls, env->msgtable[env->msgindex]);
}
#ifdef OLD
{
    doeErrorData*	e = (doeErrorData*)err;
    jclass		cls;

    if (e->msgtable  == dcPRError) {
	if (e->msgindex == dcPRError_NO_MEMORY) {
	    cls = (*env)->FindClass(env, "java/lang/OutOfMemoryException");
	    (*env)->ThrowNew(env, cls, dcPRError[dcPRError_NO_MEMORY]);
	    return;
	}
	cls = (*env)->FindClass(env, "sun/dc/pr/PRError");
	(*env)->ThrowNew(env, cls, dcPRError[e->msgindex]);
	return;
    }
    if (e->msgtable  == dcPRException) {
	cls = (*env)->FindClass(env, "sun/dc/pr/PRException");
	(*env)->ThrowNew(env, cls, dcPRException[e->msgindex]);
	return;
    }

    if (e->msgtable  == dcPathError) {
	if (e->msgindex == dcPathError_NO_MEMORY) {
	    cls = (*env)->FindClass(env, "java/lang/OutOfMemoryException");
	    (*env)->ThrowNew(env, cls, dcPathError[dcPathError_NO_MEMORY]);
	    return;
	}
	cls = (*env)->FindClass(env, "sun/dc/pr/PathError");
	(*env)->ThrowNew(env, cls, dcPathError[e->msgindex]);
	return;
    }
    if (e->msgtable  == dcPathException) {
	cls = (*env)->FindClass(env, "sun/dc/pr/PathException");
	(*env)->ThrowNew(env, cls, dcPathException[e->msgindex]);
	return;
    }
}
#endif
