/*
 * @(#)CJPathConsumer.h	1.3 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @(#)CJPathConsumer.h 3.2 97/11/19
 *
 * -----------------------------------------------------------------------------
 *	Copyright (c) 1992-1997 by Ductus, Inc. All Rights Reserved.
 * -----------------------------------------------------------------------------
 *
 */

#ifndef _CJ_PATH_CONSUMER_H
#define _CJ_PATH_CONSUMER_H

#include <jni.h>
#include "dcPathConsumer.h"

#ifdef	__cplusplus
extern "C" {
#endif

typedef struct CJPathConsumerFace_**		CJPathConsumer;
typedef struct CJPathConsumerFace_ {
    dcPathConsumerFace		mu;

    void	(*setJPathConsumer)	(doeE,	CJPathConsumer, jobject jpc);

} CJPathConsumerFace;

/* this path consumer forwards its call to its java counter object */
extern	CJPathConsumer		CJPathConsumer_create(doeE, jobject);

extern	void			CJPathConsumer_staticInitialize(doeE);
extern	void			CJPathConsumer_staticFinalize  (doeE);

#ifdef	__cplusplus
}
#endif

#endif  /* _CJ_PATH_CONSUMER_H */
