/*
 * @(#)dcPathStore.h	1.3 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @(#)dcPathStore.h 3.1 97/11/17
 *
 * -----------------------------------------------------------------------------
 *	Copyright (c) 1992-1997 by Ductus, Inc. All Rights Reserved.
 * -----------------------------------------------------------------------------
 *
 */

#ifndef _DC_PATH_STORE_H
#define _DC_PATH_STORE_H

#include "dcPathConsumer.h"

#ifdef	__cplusplus
extern "C" {
#endif

typedef struct dcPathStoreFace_**	dcPathStore;
typedef struct dcPathStoreFace_ {
    dcPathConsumerFace	mu;
    dcFastPathProducer	(*getFastPathProducer)(doeE, dcPathStore);
    void		(*reset)(doeE, dcPathStore);
} dcPathStoreFace;

extern void		dcPathStore_staticInitialize(doeE);
extern void		dcPathStore_staticFinalize  (doeE);

extern dcPathStore	dcPathStore_create(doeE);

#ifdef	__cplusplus
}
#endif

#endif  /* _DC_PATH_STORE_H */

