/*
 * @(#)affine.h	1.7 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @(#)affine.h 3.1 97/11/17
 *
 * ---------------------------------------------------------------------
 *	Copyright (c) 1992-1997 by Ductus, Inc. All Rights Reserved.
 * ---------------------------------------------------------------------
 *
 */

#ifndef _AFFINE_H
#define _AFFINE_H

#include "dtypes.h"

#ifdef	__cplusplus
extern "C" {
#endif



extern void affineT4TransformPoint  ( f32* t4, f32* x, f32* y );
extern void affineT4TransformPoints ( f32* t4, f32* pnts, ixx pntcnt );
extern void affineT4TransformBox    ( f32* t4, f32* box );
extern ixx  affineT4IsIdentity	    ( f32* t4 );
extern void affineT4MakeIdentity    ( f32* t4 );
extern ixx  affineT4IsSingular	    ( f32* t4 );
extern void affineT4Copy	    ( f32* t4dst, f32* t4src );
extern ixx  affineT4Invert	    ( f32* t4inv, f32* t4 );
extern ixx  affineT4Multiply	    ( f32* result, f32* t41, f32* t42 );

extern void affineT6TransformPoint  ( f32* t6, f32* x, f32* y );
extern void affineT6TransformPoints ( f32* t6, f32* pnts, ixx pntcnt );
extern void affineT6TransformBox    ( f32* t6, f32* box );
extern ixx  affineT6IsIdentity      ( f32* t6 );
extern void affineT6MakeIdentity    ( f32* t6 );
extern ixx  affineT6IsSingular	    ( f32* t6 );
extern void affineT6Copy	    ( f32* t6dst, f32* t6src );

extern void affineT6FromT4Dxy	    ( f32* t6dst, f32* t4src, f32* dxysrc );
extern void affineT4DxyFromT6       ( f32* t4dst, f32* dxydst, f32* t6src );



#ifdef	__cplusplus
}
#endif

#endif  /* _AFFINE_H */
