/*
 * @(#)dcPathDasher.h	1.8 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @(#)dcPathDasher.h 3.1 97/11/17
 *
 * ---------------------------------------------------------------------
 *	Copyright (c) 1992-1997 by Ductus, Inc. All Rights Reserved.
 * ---------------------------------------------------------------------
 *
 */

#ifndef _DC_PATH_DASHER_H
#define _DC_PATH_DASHER_H

#include "dcPathConsumer.h"

#ifdef	__cplusplus
extern "C" {
#endif



/*----------------------
 * The class definition
 */
typedef struct dcPathDasherFace_**	dcPathDasher;


/*----------------------
 * The methods of dcPathDasher
 */
typedef struct dcPathDasherFace_ {
    dcPathConsumerFace	mu;
    void	(*setDash)	(doeE, dcPathDasher, f32* pattern, ixx cnt,
						     f32  offset);
    void	(*setDashT4)	(doeE, dcPathDasher, f32* t4);
    void	(*setOutputT6)	(doeE, dcPathDasher, float* t6);
    void	(*setOutputConsumer)
				(doeE, dcPathDasher, dcPathConsumer dst);
    void	(*reset)	(doeE, dcPathDasher);
} dcPathDasherFace;

/*----------------------
 * Creating a dcPathDasher.
 */
extern	dcPathDasher	dcPathDasher_create(doeE, dcPathConsumer destination);

extern	void		dcPathDasher_staticInitialize(doeE);
extern	void		dcPathDasher_staticFinalize  (doeE);


#ifdef	__cplusplus
}
#endif

#endif  /* _DC_PATH_DASHER_H */
