/*
 * @(#)dcPool.h	1.3 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @(#)dcPool.h 3.1 97/11/17
 *
 * -----------------------------------------------------------------------------
 *	Copyright (c) 1992-1997 by Ductus, Inc. All Rights Reserved.
 * -----------------------------------------------------------------------------
 *
 */

#ifndef _DC_POOL_H
#define _DC_POOL_H

#ifdef	__cplusplus
extern "C" {
#endif

typedef struct dcPoolData_*	dcPool;

extern void			dcPool_staticInitialize	(doeE);
extern void			dcPool_staticFinalize	(doeE);

extern dcPool			dcPool_create	(doeE,
						 char* poolName,
						 ixx itemBytes, ixx initialItems,
						 f32 xSigma);
extern void*			dcPool_getItem	(doeE, dcPool);
extern void			dcPool_staticReleaseItem
						(doeE, void*);
extern void			dcPool_endCycle	(doeE, dcPool);
extern void			dcPool_destroy	(doeE, dcPool);
#ifdef	__cplusplus
}
#endif

#endif /* _DC_POOL_H */

