/*
 * @(#)BitmaskARGB_SrcData.h	1.4 98/06/29
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#define NORM_SCALE   256
#define NORM_SCALE_1 255

#define DeclareSrc                                                      \
    unsigned int *srcPtr;

#define InitSrc                                                         \
do {                                                                    \
    srcPtr = srcBase;							\
    srcScanStr -= width * srcPixStr;                                    \
} while(0)

#define ReadSrcPixel(sA, sR, sG, sB)                                    \
do {                                                                    \
    unsigned int tmp;							\
    tmp = *srcPtr;							\
    sA = ((tmp >> 24) & 0x01)*255;					\
    sR = (tmp >> 16) & 0xff;						\
    sG = (tmp >>  8) & 0xff;						\
    sB = (tmp >>  0) & 0xff;						\
    if (!srcPre && (sA == 0)) {                                         \
        sR = 0;                                                         \
        sG = 0;                                                         \
        sB = 0;                                                         \
    }                                                                   \
}while (0)

#define NextSrcPixel                                                    \
do {                                                                    \
    srcPtr++;                                                           \
} while(0)

#define NextSrcRow                                                      \
do {                                                                    \
    srcPtr += srcScanStr;                                               \
} while(0)
