/*
 * @(#)ChangeMenu1.java	1.5 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/* Tests changing a menu bar */

import java.awt.*;

class ChangeMenu1 extends AppFrame
{
    private MenuBar fileMenu;
    private MenuBar editMenu;

    public ChangeMenu1(String name)
    {
       super(name);
    
       // set new MenuBar
       fileMenu = new MenuBar();
       fileMenu.add(new FileMenu("File"));
       setMenuBar(fileMenu);

       editMenu = new MenuBar();
       editMenu.add( new EditMenu("Edit") );

       resize(200, 200);

    }
    

    public boolean menuEvent(Event evt, Object obj)
    {

       String label = (String) obj;
       if (label.equals("New") )
       {
          remove(fileMenu);
          setMenuBar(editMenu);
          show();
          return true;
       }
       else if (label.equals("Copy") )
       {
          remove(editMenu);
          setMenuBar(fileMenu);
          show();
          return true;
       }
       else
          return super.menuEvent(evt, obj);
    }


    public static void main(String args[])
    {
       ChangeMenu1 x = new ChangeMenu1("Change Menu Test");
       x.show();
    }
}

