/*
 * @(#)ListTest.java	1.5 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.Applet;

public class ListTest extends Applet
{
    List list;
    Label label;
    Label label1;
    
    public void init()
    {
       Panel panel = new Panel();
       list = new List(4, false);
       list.addItem("One");
       list.addItem("Two");
       list.addItem("Three");
       list.addItem("Four");
       list.addItem("Five");
       list.addItem("Six");

       panel.add( new Button("makeVisible") );
       panel.add( new Button("getVisibleIndex") );
       panel.add( label = new Label("Nothing") );
       panel.add( new Button("getSelectedIndex") );
       panel.add( label1 = new Label("Nothing") );
       add(panel);
       add(list);
       resize(400, 400);
    }

    public boolean action(Event evt, Object obj)
    {
       if (evt.target instanceof Button)
       {
          String text = (String) obj;
    
          if ( text.equals("makeVisible") )
             list.makeVisible(list.countItems() - 1);    
          else if ( text.equals("getVisibleIndex") )
             label.setText( Integer.toString( list.getVisibleIndex() ) );
          else 
             label1.setText( Integer.toString( list.getSelectedIndex() ) );
          return true;
       }  // end if button
       
       return super.action(evt, obj);
    }


    public static void main(String args[])
    {
       AppletFrame.startApplet("ListTest", "List Test");
    }
}
