/*
 * @(#)BorderTest.java	1.20 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

/**
 * A test of a Container with BorderLayout.
 */
public class BorderTest extends TestApplet {
  public void init() {
    setLayout(new BorderLayout(5, 5));
    add("North", new Button("North"));
    add("Center", new Button("Center"));
    add("South", new Button("South"));
    add("West", new Button("West"));
    add("East", new Button("East"));
    move(200, 100);
    //    pack();
    show();
  }

    public boolean handleEvent(Event evt) {
      print(evt.toString());
      return true;
    }

    public static void main(String args[]) {
      Frame f = new Frame("BorderTest");
      BorderTest bordertest = new BorderTest();

      bordertest.init();
      bordertest.start();

      f.add("Center", bordertest);
      f.resize(200, 200);
      f.show();
    }
}
