/*
 * @(#)CheckboxMenuItemTest.java	1.5 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;


public class CheckboxMenuItemTest extends TestApplet {
  CheckboxMenuItemFrame cbmif;

  public void init() {
    cbmif = new CheckboxMenuItemFrame("CheckboxMenuItem");
    cbmif.resize(200, 300);
    cbmif.show();
  }

  public static void main(String argv[]) {
    new CheckboxMenuItemFrame("CheckboxMenuItem");
  }
}


class CheckboxMenuItemFrame extends Frame {
  MenuBar mb;
  Menu m1;
  Button b;
  CheckboxMenuItem mi1, mi2, mi3, mi4;

  public CheckboxMenuItemFrame(String s) {
    super(s);
    mb = new MenuBar();
    m1 = new Menu("CheckboxMenu");
    mi1 = new CheckboxMenuItem("One");
    mi2 = new CheckboxMenuItem("Two");
    mi3 = new CheckboxMenuItem("Three");
    mi4 = new CheckboxMenuItem("Four");
    b = new Button("Dump Status");

    m1.add(mi1);
    m1.add(mi2);
    m1.add(mi3);
    m1.add(mi4);
    mb.add(m1);

    mi1.setState(false);
    mi2.setState(true);
    mi3.setState(true);
    mi4.setState(false);

    setMenuBar(mb);
    setLayout(new FlowLayout());
    add(b);
    reshape(50, 25, 50, 20);
  }

  public boolean action(Event evt, Object arg) {
    if (evt.target instanceof Button) {
      System.out.println("----- Dump Status ------");
      System.out.println("menuitem 1: " + mi1.getState());
      System.out.println("menuitem 2: " + mi2.getState());
      System.out.println("menuitem 3: " + mi3.getState());
      System.out.println("menuitem 4: " + mi4.getState());
    } else return false;
    return true;
  }
}
