/*
 * @(#)ComponentAddTest.java	1.6 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.applet.*;

/**
 * A test of a Container with BorderLayout.
 */
public class ComponentAddTest extends TestApplet {
    Panel addPanel;
    TextField pos;


    public void init() {
//	super("ComponentAddTest");
	
	setLayout(new BorderLayout());

	addPanel = new Panel();
	addPanel.setLayout(new GridLayout(0, 2));

	add("Center", addPanel);

	Panel p = new Panel();
	Button b;
	p.add(b = new Button("add"));
	p.add(pos = new TextField(4));
	add("South", p);
	move(200, 100);
//	pack();
	show();
    }

    public boolean handleEvent(Event evt) {
	if (evt.id == Event.ACTION_EVENT) {
	    if ("add".equals(evt.arg)) {
		int ipos = Integer.parseInt(pos.getText().trim());

		addPanel.add(new Button(""+ipos), ipos);
		for (int i=0; i < addPanel.countComponents(); i++) {
		    System.out.println(addPanel.getComponent(i));
		}
		addPanel.validate();
		return true;
	    }
	}
	return false;
    }

    public static void main(String args[]) {
	Frame f = new Frame("ComponentAddTest");
	ComponentAddTest componentaddtest = new ComponentAddTest();

	componentaddtest.init();
	componentaddtest.start();

	f.resize(300, 200);
	f.add("Center", componentaddtest);
	f.show();
    }
}
