/*
 * @(#)DialogTest1.java	1.8 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

public class DialogTest1 extends Applet {
  Frame f;
  
  public void init() {
    f = new TestWindow1("TestWindow - 1");
    f.resize(300, 150);
    f.show();
  }

  public static void main(String argv[]) {
    DialogTest1 dt1 = new DialogTest1();
    dt1.init();
    dt1.start();
  }
}



class TestWindow1 extends Frame {
  Dialog d;
  MenuBar mb;

  public TestWindow1(String s) {
    super(s);

    Menu m1 = new Menu("DialogTest");
    m1.add(new MenuItem("About Box..."));
    m1.add(new MenuItem("Quit"));

    mb = new MenuBar();
    mb.add(m1);
    setMenuBar(mb);
    show();
  }

  public boolean action(Event evt, Object target) {
    if ("About Box...".equals(target)) {
	System.out.println("Creating About box");
      d = new MsgDialog(this, "About Box",true, "This is a test for the Dialogs class");
	System.out.println("Showing About box");
      d.show();
	System.out.println("Shown About box");
      return true;
    } else if (target.equals("Quit")) {
      dispose();
      return true;
    } else return false;
  }
}


class MsgDialog extends Dialog {
  TextField tf;
  Label l;
  Button b;

  public MsgDialog(Frame f, String s1, boolean flag, String s2) {
    super(f, s1, true);
    
    l = new Label(s2);
    b = new Button("Continue");

    setLayout(new FlowLayout());
    add(l);
    add(b);
    resize(300, 100);
  }

  public boolean action(Event evt, Object target) {
    if ("Continue".equals(target)) {
	System.out.println("Disposing About box");
      dispose();
	System.out.println("Disposed About box");
      return true;
    } else return false;
  }
}

