/*
 * @(#)DialogTest2.java	1.4 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

public class DialogTest2 extends Applet {
  Frame f;
  
  public void init() {
    f = new TestWindow2("TestWindow - 2");
    f.setSize(300, 150);
    f.show();
  }

  public static void main(String argv[]) {
    DialogTest2 dt = new DialogTest2();
    dt.init();
    dt.start();
  }
}



class TestWindow2 extends Frame {
  Dialog d;
  MenuBar mb;

  public TestWindow2(String s) {
    super(s);

    Menu m = new Menu("DialogTest");
    m.add(new MenuItem("About Box..."));
    m.add(new MenuItem("Quit"));

    mb = new MenuBar();
    mb.add(m);
    setMenuBar(mb);
    show();
  }

  public boolean action(Event evt, Object target) {
    if ("About Box...".equals(target)) {
	System.out.println("Creating About box");
      d = new MsgDialog2(this, "About Box",true, "This is a test for the Dialogs class");
	System.out.println("Showing About box");
      d.show();
	System.out.println("Shown About box");
      return true;
    } else if (target.equals("Quit")) {
      dispose();
      return true;
    } else return false;
  }
}


class MsgDialog2 extends Dialog {
  TextField tf;
  Label l;
  Button b;
  Button b2;
  Dialog d;

  public MsgDialog2(Frame f, String s1, boolean flag, String s2) {
    super(f, s1, true);
    
    l = new Label(s2);
    b = new Button("Continue");
    b2 = new Button("Another");

    setLayout(new FlowLayout());
    add(l);
    add(b);
    add(b2);
    setSize(300, 100);
  }

  public boolean action(Event evt, Object target) {
    if ("Continue".equals(target)) {
	System.out.println("Disposing About box");
      dispose();
	System.out.println("Disposed About box");
      return true;
    } else if ("Another".equals(target)) {
      d = new MsgDialog2((Frame)getParent(), "About Box" ,true, 
                         "This is a test for the Dialogs class");
      d.show();
      return true;
    } else return false;
  }
}

