/*
 * @(#)FlowTest.java	1.14 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

class FlowPanel extends Panel {
    FlowPanel(int align) {
	setLayout(new FlowLayout(align));
	add(new Button("een"));
	add(new Button("twee"));
	add(new Button("drie"));
	add(new Button("vier"));
	add(new Button("vijf"));
	add(new Button("zes"));
	add(new Button("zeven")).hide();
	add(new Button("acht"));
	add(new Button("negen"));
	add(new Button("tien"));
	add(new Button("elf"));
    }
}

public class FlowTest extends TestApplet {
    public void init() {
	setFont(new Font("Dialog", Font.PLAIN, 18));
	setLayout(new BorderLayout());
	add("North", new FlowPanel(FlowLayout.LEFT)).setBackground(new Color(255, 200, 150));
	add("Center", new FlowPanel(FlowLayout.CENTER)).setBackground(new Color(200, 255, 150));
	add("South", new FlowPanel(FlowLayout.RIGHT)).setBackground(new Color(200, 100, 255));
//	pack();
	show();
    }

    public static void main(String argv[]) {
	Frame f = new Frame("FlowTest");
	FlowTest flowtest = new FlowTest();

	flowtest.init();
	flowtest.start();

	f.resize(200,200);
	f.add("Center", flowtest);
	f.show();
    }
}
