/*
 * @(#)GetFramesAppletTest.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

public class GetFramesAppletTest extends TestApplet {
    Frame frame1;
    Frame frame2;
    Frame frame3;

    public void init() {
        frame1 = new Frame();
        frame1.reshape(100, 100, 300, 300);
        frame1.show();
        frame2 = new Frame();
        frame2.reshape(500, 100, 300, 300);
        frame2.show();
        frame3 = new Frame();
        frame3.reshape(900, 100, 300, 300);
        frame3.show();
    }

    public void start() {
        // Print out our frames.
        Frame[] frameList = Frame.getFrames();
        if (frameList.length == 0) {
            System.out.println("no applet-created frames");
        } else {
            System.out.println("Applet-created frames:");
            for (int i = 0; i < frameList.length; i++) {
                System.out.println("   " + frameList[i]);
            }
        }
        
    }
}
