/*
 * @(#)GridTest.java	1.7 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

class GridPanel extends Panel {
    GridPanel(int rows, int cols) {
	setLayout(new GridLayout(rows, cols, 5, 5));
	add(new Button("een"));
	add(new Button("twee"));
	add(new Button("drie"));
	add(new Button("vier"));
	add(new Button("vijf"));
	add(new Button("zes"));
	add(new Button("zeven"));
	add(new Button("acht"));
	add(new Button("negen"));
	add(new Button("tien"));
	add(new Button("elf"));
    }
}

public class GridTest extends TestApplet {
    public void init() {
	setFont(new Font("Dialog", Font.PLAIN, 18));
	setLayout(new BorderLayout());
	Panel p = new GridPanel(3, 4);
	add("Center", p);
	p.add(new GridPanel(4, 3));
//	pack();
	show();
    }

    public static void main(String argv[]) {
	Frame f = new Frame("GridTest");
	GridTest gridtest = new GridTest();

	gridtest.init();
	gridtest.start();

	f.resize(200, 200);
	f.add("Center", gridtest);
	f.show();

    }
}
