/*
 * @(#)MenuFrame.java	1.5 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

public class MenuFrame extends Frame {
  Button genevt = new Button("Generate Events");
  MenuBar mb = new MenuBar();
  Menu menu1 = new Menu("Menu-1");
  Menu menu2 = new Menu("Menu-2");
  MenuItem item1 = new MenuItem("Item1");
  MenuItem item2 = new MenuItem("Item2");
  MenuItem item3 = new MenuItem("Item3");
  MenuItem item4 = new MenuItem("Item4");

  TextArea ta = new TextArea(10, 40);
  String s = "This frame will post an event on Menu1\n" +
             "Please verify the event by viewing the event\n";

  public MenuFrame(String s) {
    super(s);
    mb.add(menu1);
    mb.add(menu2);
    menu1.add(item1);
    menu1.add(item2);
    menu1.add(item3);
    menu1.add(item4);
    ta.insertText(s, 0);
    
    setLayout(new BorderLayout());
    setMenuBar(mb);
    add("North", ta);
    add("South", genevt);
  }

  public static void main(String argv[]) {
    MenuFrame f = new MenuFrame("MenuFrame");

    f.resize(200, 200);
    f.show();
  }

  public boolean handleEvent(Event evt) {
    Object target = evt.target;
    Event evt1 = new Event(menu1, Event.MOUSE_DOWN, item1);

    switch (evt.id) {
      case Event.ACTION_EVENT:
	if (target == genevt) {
	  System.out.println("GE button pressed...");
	  postEvent(evt1);
	} else return false;
	break;
      default:
        return false;
    }
    return true;
  }
}
