/*
 * @(#)TextFieldTest2.java	1.5 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;


public class TextFieldTest2 extends TestApplet {
  TextField tf[] = new TextField[4];
  Panel textpanel;
  Button bdump;

  public void init() {
    textpanel = new Panel();
    bdump = new Button("Dump Status");
    tf[0] = new TextField();
    tf[1] = new TextField(15);
    tf[2] = new TextField("Vijay Srinivasan");
    tf[3] = new TextField("Hello World!", 15);

    textpanel.setLayout(new GridLayout(0,1));
    textpanel.add(tf[0]);
    textpanel.add(tf[1]);
    textpanel.add(tf[2]);
    textpanel.add(tf[3]);

    tf[1].setEchoCharacter('#');
    tf[3].setEchoCharacter('$');

    setLayout(new BorderLayout());
    add("Center", textpanel);
    add("South", bdump);
    textpanel.reshape(20, 20, 50, 40);
  }

  public boolean action(Event evt, Object arg) {
    if (evt.target instanceof Button) {
      print("----- Dump Status -----");
      print("TextFields: 4");
      print("getColumns: " + tf[1].getColumns());
      print("getCharIsSet: " + String.valueOf(tf[1].echoCharIsSet()));
      print("echo char: field2 " + tf[1].getEchoChar());
      print("echo char: field4 " + tf[3].getEchoChar());
    }
    return true;
  }
}


