/*
 * @(#)Noop.java	1.2 98/09/21
 *
 * Copyright 1998-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.io.*;

public class Noop {

    public static void main(String argv[]) {

	boolean xflag = false;
        if (argv.length == 1 && argv[0].equals("-x")) {
	    xflag = true;
	}

	try {
	    FileOutputStream fout = new FileOutputStream("noop.out");
	    BufferedOutputStream bout = new BufferedOutputStream(fout);
	    PrintStream pout = new PrintStream(bout);
	    pout.println("    Hullo world.\n");
	    pout.flush();
	    pout.close();

	    if (xflag) {
		return;
	    }

	    Thread.sleep(1000*1000);
	} catch (Exception ex) {
	    System.err.println("Noop caught: " + ex);
	}
    }
}
