/*
 * @(#)Check.java	1.5 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package util;

/**
 * Supports indirection invocation of tests.
 * This is useful so that the security manager will check against the
 * ClassLoader of the test classes, not that of the standard test.
 */

public interface Check {
    void check(Test t) throws util.TestException;
}
