/*
 * @(#)Test4105944.java	1.2 98/09/21
 *
 * Copyright 1998-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;


public class Test4105944 extends Canvas 
{
  private Image offScreenImage = null;        
  private Graphics offScreenG = null;
  
  public Test4105944() 
    {    
      setBackground(Color.white);
    }
  
  public void paint(Graphics g) 
    {
      
      if (offScreenG == null)
	{
	  offScreenImage = createImage(400, 400); //setup offscreen graphics
	  offScreenG = offScreenImage.getGraphics(); 
	}   
      
      offScreenG.setFont(new Font("Serif",Font.PLAIN,12));
      offScreenG.drawString("Here is a tab           drawn offscreen", 100, 100);
      g.drawImage(offScreenImage, 0, 0, this);
      g.setFont(new Font("Serif",Font.PLAIN,12));      
      g.drawString("Here is a tab        drawn onscreen", 150, 150);
      
    }
  
  public static void main(String s[]) 
    {
      Frame f = new Frame("Tab-offscreen Bug");
      f.add("Center", new Test4105944());
      f.pack();
      f.setSize(new Dimension(500, 500));
      f.show();
    }
} 




