/*
 * @(#)Test4156112.java	1.2 98/09/21
 *
 * Copyright 1998-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import com.sun.java.swing.*;
import java.awt.*;

class Test4156112 {
  public static void main(String[] argv) {
      FontMetrics fm = null;     
      String strings [] ={""," ","  ","a","test string"};
      Toolkit t = Toolkit.getDefaultToolkit();

      Font fonts [] = GraphicsEnvironment.getLocalGraphicsEnvironment().getAllFonts();

     for (int ff=0;ff<fonts.length;ff++) {  // Try all fonts
      fm = t.getFontMetrics(fonts[ff]);

      System.out.println("The "+ff+"-th FontMetrics:"+fm);      
      System.out.print("The widths:");
      System.out.println(fm.getWidths());  // Call  getWidths()
                                           // Call SwingUtilities.computeStringWidth
                                           // for swing testing purposes
      for (int i=0;i<strings.length;i++) {
       System.out.println("StringWidth:"+
                         SwingUtilities.computeStringWidth(fm,strings[i]));    
      }      
     }
   System.out.println("OKAY");
    
   }
}
