/*
 * @(#)Test4164252.java	1.2 98/09/21
 *
 * Copyright 1998-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.event.*;

public class Test4164252 extends Canvas {

    public Test4164252() {
        setBackground(Color.white);
    }

    public void paint(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        int w = getSize().width;
        int h = getSize().height;
        TextLayout tl = new TextLayout("Java", new Font("serif", Font.PLAIN, 72)
, g2.getFontRenderContext());
        for (int i = 1; i < 3; i++) {
            AffineTransform at = new AffineTransform();
            at.translate(w/4,h*(0.4 * i));
            if (i == 1) {
                at.scale(2.0, 1.0);
            } else {
                at.rotate(Math.toRadians(15));
            }
            g2.setTransform(at);
            g2.setColor(Color.red);
            g2.fill(tl.getOutline(null, 0, 0));
            g2.setColor(Color.blue);
            tl.draw(g2, 0, 0);
        }
    }

    public static void main(String s[]) {
        WindowListener l = new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        };
        Frame f = new Frame("Java2D Demo - test");
        f.addWindowListener(l);
        f.add("Center", new Test4164252());
        f.pack();
        f.setSize(new Dimension(400,300));
        f.show();
    }
}
