/*
 * @(#)Test4170432.java	1.2 98/09/21
 *
 * Copyright 1998-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.awt.event.*;
import java.awt.font.TextLayout;
import java.awt.geom.Rectangle2D;
import java.awt.geom.AffineTransform;


public class Test4170432 extends Canvas {

    int w,h;
//    Font  font = new Font("Times New Roman",Font.PLAIN,12);
    Font  font = new Font("Serif",Font.PLAIN,18);

    public Test4170432() {
	setBackground(Color.white);
    }


     public void paint(Graphics g) {
        Dimension dim = getSize();
        w = dim.width;
        h = dim.height;
        g.setFont(font);
        g.clearRect(0,0,w,h);

        Graphics2D g2 = (Graphics2D)g;

        TextLayout  tl = new TextLayout("TEST:> \u3041\u3042\u3043\u3044\u3045 < END", g2.getFont(), g2.getFontRenderContext());
          
        Shape s0 = tl.getOutline(g2.getTransform(),30,30);
        Shape s1 = tl.getOutline(g2.getTransform(),80,80);

        g2.draw(s0);

        g2.fill(s1);

    }


    public static void main(String s[]) {
	WindowListener l = new WindowAdapter() {
	    public void windowClosing(WindowEvent e) {System.exit(0);}
	};
	Frame f = new Frame("Java2D Demo - Rotate");
        Test4170432 t = new Test4170432();
        t.setSize(new Dimension(400,300));

	f.addWindowListener(l);
	f.add("Center", t);
	f.pack();
//	f.setSize(new Dimension(400,300));
	f.show();
    }
}
