/*
 * @(#)GetRedirectTest.java	1.8 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.util.*;
import java.net.*;
import java.applet.*;
import java.awt.image.ImageObserver;

public class GetRedirectTest extends SecurityTest implements ImageObserver {

    public void test(Graphics g) throws java.io.IOException, MalformedURLException {
	String forbiddenRedirectedURL = app.getParameter("IllegalRedirectURL");
	Image image = app.getImage(new URL(forbiddenRedirectedURL));
	g.drawImage(image, 0, 0, this);
	try {
	    synchronized(this) {
		wait(5000);
	    }
	} catch (InterruptedException e) {}
	g.drawImage(image, 0, 0, this);
    }

    public synchronized boolean imageUpdate(Image img, int infoflags,
					    int x, int y,
					    int width, int height)
    {
	notify();
	return true;
    }
}

