/*
 * @(#)SecurityExceptionTest.java	1.8 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.util.*;
import java.applet.*;
import java.net.*;

/** 
 * Make sure that an applet cannot instantiate a class in the
 * sun.applet hierarchy.  Specifically, make sure it cannot
 * instantitate the AppletSecurityException class (since if an applet
 * could override the applet security exceptions, it could wreak havoc
 * with any parts of the system that relied on being able to catch
 * SecurityException.)  
 */

public class SecurityExceptionTest extends SecurityTest {
    public void test(Graphics g) throws SecurityException {
      throw new sun.applet.AppletSecurityException("hello world");
   }
}

