/*
 * @(#)VerifierTest.java	1.6 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.util.*;
import java.applet.*;
import java.net.*;
import java.io.*;

public class VerifierTest extends SecurityTest {
    void testVerifierHack(String className) throws IOException {
	try {
	    Object a = Class.forName(className).newInstance();
	} catch (Exception e) {
	    return;
	} catch (Error e) {
	    return;
	}
	throw new IOException("security failure");
    }
    public void test(Graphics g)
	throws IOException {
	    testVerifierHack("FinalCheck");
	    testVerifierHack("FinalMethodCheck");
	    testVerifierHack("PrivateCheck");
	    testVerifierHack("PrivateStaticCheck");
	    // if we got to here then the verifier caught the
	    // problems. 
	    throw new SecurityException();
	}
}


