/*
 * @(#)WindowTest.java	1.8 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.util.*;
import java.applet.*;

public class WindowTest extends SecurityTest {
    public void test(Graphics g) throws java.io.IOException {
	Frame f = new Frame("frame");
	Dialog d = new Dialog(f, "dialog", false);
	Window w = new Window(f);

	f.reshape(100, 0, 200, 100);
	d.reshape(300, 0, 200, 100);
	w.reshape(500, 0, 200, 100);

	f.show();
	d.show();
	w.show();

	try {
	    Thread.sleep(4000);
	} catch (InterruptedException e) {
	}
	if ((f.getWarningString() == null) ||
	    (d.getWarningString() == null) ||
	    (w.getWarningString() == null)) {
	    d.dispose();
	    w.dispose();
	    f.dispose();
	    throw new java.io.IOException("security failure");
	} else {
	    d.dispose();
	    w.dispose();
	    f.dispose();
	    throw new SecurityException("toplevel window");
	}
    }
}

