/*
 * @(#)ValidityTest.java	1.6 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.io.*;
import java.util.*;
import java.security.*;
import sun.security.x509.*;
import sun.security.util.*;

public class ValidityTest {
    public static void main(String[] args) {
        try {
            Calendar cal = Calendar.getInstance(TimeZone.getTimeZone("PST"));
            
            Date lastDate, firstDate;
            CertificateValidity interval, bar;
            DerInputStream foo;
            for (int i=2048; i < 2052; i++) {
                cal.set(i, 0, 1, 0, 0, 0);
                firstDate = cal.getTime();
                cal.set(i, 11, 31, 12, 30, 30);
                lastDate = cal.getTime();
                interval = new CertificateValidity(firstDate, lastDate);
      
                DerOutputStream test = new DerOutputStream();
                interval.encode((OutputStream)test);
                foo = new DerInputStream(test.toByteArray());
                bar = new CertificateValidity(foo);
                System.out.println("Gen["+i+"]: " + interval);
                System.out.println("Decoded: " + bar);
           }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
