/*
 * @(#)FeedBack.java	1.4 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
// This is just a simple interface to abstact the feedback
// from the performance benchmark. i.e. sometimes I want the
// the results to go to the screen. Other times I want it to
// to go to a file.

import java.lang.*;
import java.io.*;


interface FeedBack  {

    // call this everytime there are additional results to report.
    public void writeResults(String s) throws IOException;

    // call this when are done reporting our results.
    // This may be a noop in some implementations.
    public void end();
}
