/*
 * @(#)changefieldtype.java	1.3 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package unittest;

import java.io.*;
import java.lang.*;

// run the setup with original class
// run the verify with the changed class

// this changes the field type

/* the original class */
public class changefieldtype implements Serializable {
    private static final ObjectStreamField[] serialPersistentFields = {
	new ObjectStreamField("wasboolean", Boolean.TYPE),
	new ObjectStreamField("wasint", Integer.TYPE),
	new ObjectStreamField("wasstring", String.class),
	new ObjectStreamField("waschar", Character.TYPE)
    };
}

/* the changed class
public class changefieldtype implements Serializable {

	int wasboolean;
	boolean wasint;
	char wasstring;
	String waschar;


}



 */
