/*
 * @(#)LUTxparToIntBgr.java	1.3 98/06/29
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.motif;

import sun.java2d.loops.ImageData;
import sun.java2d.loops.GraphicsPrimitive;
import sun.java2d.loops.GraphicsPrimitives;
import sun.java2d.loops.TransparentBlit;
import sun.java2d.loops.TransparentDitheredBlit;
import sun.java2d.loops.GraphicsPrimitiveProxy;

/**
 * Helper class for X11GIFAcceleratorLoops collection.
 */

public class LUTxparToIntBgr extends TransparentBlit {
    public LUTxparToIntBgr() {
	super(X11GIFAcceleratorLoops.ST_BYTE_INDEXED_BM__INT_BGR);
    }
    public void TransparentBlit(   ImageData src, ImageData dst,
				int w, int h) {
	X11GIFAcceleratorLoops.LUTxparToIntBgr(src, dst, w, h);
    }
}
