/*
 * @(#)MCanvasPeer.java	1.25 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package sun.awt.motif;

import java.awt.*;
import java.awt.peer.*;
import sun.awt.DrawingSurface;
import sun.awt.DrawingSurfaceInfo;

class MCanvasPeer extends MComponentPeer
    implements CanvasPeer, DrawingSurface
{
    native void create(MComponentPeer parent);

    MCanvasPeer() {}

    MCanvasPeer(Component target) {
	super(target);
    }

    MCanvasPeer(Component target, Object arg) {
	super(target, arg);
    }

    public DrawingSurfaceInfo getDrawingSurfaceInfo() {
	return new MDrawingSurfaceInfo(this);
    }
}
