/*
 * @(#)X11Image.java	1.13 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.motif;

import java.awt.Graphics;
import java.awt.image.ColorModel;
import java.awt.image.ImageProducer;

import sun.awt.image.ImageRepresentation;

class X11Image extends sun.awt.image.Image {
    /**
     * Construct an image from an ImageProducer object.
     */
    public X11Image(ImageProducer producer) {
	super(producer);
    }

    public Graphics getGraphics() {
	throw new IllegalAccessError("getGraphics() only valid for images created with createImage(w, h)");
    }

    protected ImageRepresentation makeImageRep() {
	return new ImageRepresentation(this, ColorModel.getRGBdefault(),
                                       false);
    }

    protected ImageRepresentation getImageRep() {
	return super.getImageRep();
    }
}
