#
# @(#)font.properties.el	1.5 98/10/22
#
# Copyright 1997 by Sun Microsystems, Inc.,
# 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
# All rights reserved.
#
# This software is the confidential and proprietary information
# of Sun Microsystems, Inc. ("Confidential Information").  You
# shall not disclose such Confidential Information and shall use
# it only in accordance with the terms of the license agreement
# you entered into with Sun.
#

#
# Generic AWT Font default Properties 8859-7 locales in Solaris 2.6
#

# Serif font definition
#

serif.0=-monotype-times new roman-regular-r---*-%d-*-*-p-*-iso8859-1
serif.1=-monotype-times new roman greek-regular-r-normal--*-%d-*-*-p-*-iso8859-7
serif.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
serif.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific


serif.italic.0=-monotype-times new roman-regular-i---*-%d-*-*-p-*-iso8859-1
serif.italic.1=-monotype-times new roman greek-regular-i-normal--*-%d-*-*-p-*-iso8859-7
serif.italic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
serif.italic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

serif.bold.0=-monotype-times new roman-bold-r---*-%d-*-*-p-*-iso8859-1
serif.bold.1=-monotype-times new roman greek-bold-r-normal--*-%d-*-*-p-*-iso8859-7
serif.bold.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
serif.bold.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

serif.bolditalic.0=-monotype-times new roman-bold-i---*-%d-*-*-p-*-iso8859-1
serif.bolditalic.1=-monotype-times new roman greek-bold-i-normal--*-%d-*-*-p-*-iso8859-7
serif.bolditalic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
serif.bolditalic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

# SansSerif font definition
#

sansserif.0=-monotype-arial-regular-r-normal--*-%d-*-*-p-*-iso8859-1
sansserif.1=-monotype-arial greek-regular-r-normal--*-%d-*-*-p-*-iso8859-7
sansserif.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
sansserif.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific


sansserif.italic.0=-monotype-arial-regular-i-normal--*-%d-*-*-p-*-iso8859-1
sansserif.italic.1=-monotype-arial greek-regular-i-normal--*-%d-*-*-p-*-iso8859-7
sansserif.italic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
sansserif.italic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

sansserif.bold.0=-monotype-arial-bold-r-normal--*-%d-*-*-p-*-iso8859-1
sansserif.bold.1=-monotype-arial greek-bold-r-normal--*-%d-*-*-p-*-iso8859-7
sansserif.bold.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
sansserif.bold.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

sansserif.bolditalic.0=-monotype-arial-bold-i-normal--*-%d-*-*-p-*-iso8859-1
sansserif.bolditalic.1=-monotype-arial greek-bold-i-normal--*-%d-*-*-p-*-iso8859-7
sansserif.bolditalic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
sansserif.bolditalic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

# Monospaced font definition
#

monospaced.0=-monotype-courier new-regular-r---*-%d-*-*-m-*-iso8859-1
monospaced.1=-b&h-lucidasanstypgreek-medium-r-normal--*-%d-*-*-m-*-iso8859-7
monospaced.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
monospaced.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

monospaced.italic.0=-monotype-courier new-regular-i---*-%d-*-*-m-*-iso8859-1
monospaced.italic.1=-b&h-lucidasanstypgreek-medium-r-normal--*-%d-*-*-m-*-iso8859-7
monospaced.italic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
monospaced.italic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

monospaced.bold.0=-monotype-courier new-bold-r---*-%d-*-*-m-*-iso8859-1
monospaced.bold.1=-b&h-lucidasanstypgreek-bold-r-normal--*-0-%d-*-m-*-iso8859-7
monospaced.bold.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
monospaced.bold.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

monospaced.bolditalic.0=-monotype-courier new-bold-i---*-%d-*-*-m-*-iso8859-1
monospaced.bolditalic.1=-b&h-lucidasanstypgreek-bold-r-normal--*-0-%d-*-m-*-iso8859-7
monospaced.bolditalic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
monospaced.bolditalic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

# Dialog font definition
#

dialog.0=-monotype-arial-regular-r-normal--*-%d-*-*-p-*-iso8859-1
dialog.1=-monotype-arial narrow greek-regular-r-normal--*-%d-*-*-p-*-iso8859-7
dialog.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
dialog.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific


dialog.italic.0=-monotype-arial-regular-i-normal--*-%d-*-*-p-*-iso8859-1
dialog.italic.1=-monotype-arial narrow greek-regular-i-normal--*-%d-*-*-p-*-iso8859-7
dialog.italic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
dialog.italic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

dialog.bold.0=-monotype-arial-bold-r-normal--*-%d-*-*-p-*-iso8859-1
dialog.bold.1=-monotype-arial narrow greek-bold-r-normal--*-%d-*-*-p-*-iso8859-7
dialog.bold.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
dialog.bold.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

dialog.bolditalic.0=-monotype-arial-bold-i-normal--*-%d-*-*-p-*-iso8859-1
dialog.bolditalic.1=-monotype-arial narrow greek-bold-i-normal--*-%d-*-*-p-*-iso8859-7
dialog.bolditalic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
dialog.bolditalic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

# DialogInput font definition
#

dialoginput.0=-monotype-courier new-regular-r---*-%d-*-*-m-*-iso8859-1
dialoginput.1=-b&h-lucidasanstypgreek-medium-r-normal--*-%d-*-*-m-*-iso8859-7
dialoginput.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
dialoginput.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

dialoginput.italic.0=-monotype-courier new-regular-i---*-%d-*-*-m-*-iso8859-1
dialoginput.italic.1=-b&h-lucidasanstypgreek-medium-r-normal--*-%d-*-*-m-*-iso8859-7
dialoginput.italic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
dialoginput.italic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

dialoginput.bold.0=-monotype-courier new-bold-r---*-%d-*-*-m-*-iso8859-1
dialoginput.bold.1=-b&h-lucidasanstypgreek-bold-r-normal--*-0-%d-*-m-*-iso8859-7
dialoginput.bold.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
dialoginput.bold.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

dialoginput.bolditalic.0=-monotype-courier new-bold-i---*-%d-*-*-m-*-iso8859-1
dialoginput.bolditalic.1=-b&h-lucidasanstypgreek-bold-r-normal--*-0-%d-*-m-*-iso8859-7
dialoginput.bolditalic.2=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific
dialoginput.bolditalic.3=-*-symbol-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific


# Default font definition
#
default.char=274f

# name aliases
#
# alias.timesroman=serif
# alias.helvetica=sansserif
# alias.courier=monospaced

# for backward compatibility
timesroman.plain.0=-monotype-times new roman-regular-r---*-%d-*-*-p-*-iso8859-1
timesroman.italic.0=-monotype-times new roman-regular-i---*-%d-*-*-p-*-iso8859-1
timesroman.bold.0=-monotype-times new roman-bold-r---*-%d-*-*-p-*-iso8859-1
timesroman.bolditalic.0=-monotype-times new roman-bold-i---*-%d-*-*-p-*-iso8859-1
#
helvetica.plain.0=-monotype-arial-regular-r-normal--*-%d-*-*-p-*-iso8859-1
helvetica.italic.0=-monotype-arial-regular-i-normal--*-%d-*-*-p-*-iso8859-1
helvetica.bold.0=-monotype-arial-bold-r-normal--*-%d-*-*-p-*-iso8859-1
helvetica.bolditalic.0=-monotype-arial-bold-i-normal--*-%d-*-*-p-*-iso8859-1
#
courier.plain.0=-monotype-courier new-regular-r---*-%d-*-*-m-*-iso8859-1
courier.italic.0=-monotype-courier new-regular-i---*-%d-*-*-m-*-iso8859-1
courier.bold.0=-monotype-courier new-bold-r---*-%d-*-*-m-*-iso8859-1
courier.bolditalic.0=-monotype-courier new-bold-i---*-%d-*-*-m-*-iso8859-1
#
zapfdingbats.0=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

# Static FontCharset info.
#
# This information is used by the font which is not indexed by Unicode.
# Such fonts can use their own subclass of FontCharset.
#
# This information can be overriden by describing more specific style.
# For example
#
#  fontcharset.serif.plain.3=SpecialSymbols
#  means serif.plain.3 font's index can be retrieved with the convert() method
#  of instance of SpecialSymbols and what kind of characters serif.plain.3 font
#  has can be judged with the isCovered() method of instance of SpecialSymbols.
#
fontcharset.serif.0=sun.io.CharToByteISO8859_1
fontcharset.serif.1=sun.io.CharToByteISO8859_7
fontcharset.serif.2=sun.awt.motif.CharToByteX11Dingbats
fontcharset.serif.3=sun.awt.CharToByteSymbol


fontcharset.sansserif.0=sun.io.CharToByteISO8859_1
fontcharset.sansserif.1=sun.io.CharToByteISO8859_7
fontcharset.sansserif.2=sun.awt.motif.CharToByteX11Dingbats
fontcharset.sansserif.3=sun.awt.CharToByteSymbol


fontcharset.monospaced.0=sun.io.CharToByteISO8859_1
fontcharset.monospaced.1=sun.io.CharToByteISO8859_7
fontcharset.monospaced.2=sun.awt.motif.CharToByteX11Dingbats
fontcharset.monospaced.3=sun.awt.CharToByteSymbol


fontcharset.dialog.0=sun.io.CharToByteISO8859_1
fontcharset.dialog.1=sun.io.CharToByteISO8859_7
fontcharset.dialog.2=sun.awt.motif.CharToByteX11Dingbats
fontcharset.dialog.3=sun.awt.CharToByteSymbol


fontcharset.dialoginput.0=sun.io.CharToByteISO8859_1
fontcharset.dialoginput.1=sun.io.CharToByteISO8859_7
fontcharset.dialoginput.2=sun.awt.motif.CharToByteX11Dingbats
fontcharset.dialoginput.3=sun.awt.CharToByteSymbol


# exclusion info.
#
# This information describe exclusion ranges for each fonts.
#
# 'exclusion.serif.plain.0' overrides 'exclusion.serif.0', and
# 'exclusion.serif.0' overrides exclusion.0, and so on.
#

# XFontSet string
# X11 only properties
#

fontset.serif.plain=\
-monotype-times new roman greek-regular-r-normal--*-%d-*-*-p-*-iso8859-7

fontset.serif.italic=\
-monotype-times new roman greek-regular-i-normal--*-%d-*-*-p-*-iso8859-7

fontset.serif.bold=\
-monotype-times new roman greek-bold-r-normal--*-%d-*-*-p-*-iso8859-7

fontset.serif.bolditalic=\
-monotype-times new roman greek-bold-i-normal--*-%d-*-*-p-*-iso8859-7

fontset.sansserif.plain=\
-monotype-arial greek-regular-r-normal--*-%d-*-*-p-*-iso8859-7

fontset.sansserif.italic=\
-monotype-arial greek-regular-i-normal--*-%d-*-*-p-*-iso8859-7

fontset.sansserif.bold=\
-monotype-arial greek-bold-r-normal--*-%d-*-*-p-*-iso8859-7

fontset.sansserif.bolditalic=\
-monotype-arial greek-bold-i-normal--*-%d-*-*-p-*-iso8859-7

fontset.monospaced.plain=\
-b&h-lucidasanstypgreek-medium-r-normal--*-%d-*-*-m-*-iso8859-7

fontset.monospaced.italic=\
-b&h-lucidasanstypgreek-medium-r-normal--*-%d-*-*-m-*-iso8859-7

fontset.monospaced.bold=\
-b&h-lucidasanstypgreek-bold-r-normal--*-0-%d-*-m-*-iso8859-7

fontset.monospaced.bolditalic=\
-b&h-lucidasanstypgreek-bold-r-normal--*-0-%d-*-m-*-iso8859-7

fontset.dialog.plain=\
-monotype-arial narrow greek-regular-r-normal--*-%d-*-*-p-*-iso8859-7

fontset.dialog.italic=\
-monotype-arial narrow greek-regular-i-normal--*-%d-*-*-p-*-iso8859-7

fontset.dialog.bold=\
-monotype-arial narrow greek-bold-r-normal--*-%d-*-*-p-*-iso8859-7

fontset.dialog.bolditalic=\
-monotype-arial narrow greek-bold-i-normal--*-%d-*-*-p-*-iso8859-7

fontset.dialoginput.plain=\
-b&h-lucidasanstypgreek-medium-r-normal--*-%d-*-*-m-*-iso8859-7

fontset.dialoginput.italic=\
-b&h-lucidasanstypgreek-medium-r-normal--*-%d-*-*-m-*-iso8859-7

fontset.dialoginput.bold=\
-b&h-lucidasanstypgreek-bold-r-normal--*-0-%d-*-m-*-iso8859-7

fontset.dialoginput.bolditalic=\
-b&h-lucidasanstypgreek-bold-r-normal--*-0-%d-*-m-*-iso8859-7


fontset.zapfdingbats=\
-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

#
fontset.default=\
-monotype-arial greek-regular-r-normal--*-%d-*-*-p-*-iso8859-7
#
