/*
 * @(#)np.h	1.4 98/09/16
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 *  Non-posix parts of the threads HPI.
 */

#ifndef _JAVASOFT_NP_H_
#define _JAVASOFT_NP_H_

extern int	np_suspend(sys_thread_t *tid);
extern int	np_continue(sys_thread_t *tid);

extern int	np_single(void);
extern void	np_multi(void);
extern int	np_stackinfo(void **addr, long *size);
extern int	np_initialize(void);
extern void	np_initialize_thread(sys_thread_t *tid);

extern void	np_profiler_init(sys_thread_t *tid);
extern int	np_profiler_suspend(sys_thread_t *tid);
extern int	np_profiler_continue(sys_thread_t *tid);
extern bool_t	np_profiler_thread_is_running(sys_thread_t *tid);

#endif /* !_JAVASOFT_NP_H_ */
