/*
 * @(#)awt_Component.h	1.6 98/09/21
 *
 * Copyright 1993-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#include "jni_util.h"

/* fieldIDs for Component fields that may be accessed from C */
struct ComponentIDs {
    jfieldID x;
    jfieldID y;
    jfieldID width;
    jfieldID height;
    jfieldID peer;
    jfieldID background;
    jfieldID foreground;
    jfieldID isPacked;
    jmethodID getParent;
};

/* field and method IDs for Container */
struct ContainerIDs {
    jmethodID getComponents;
};

/* fieldIDs for MComponentPeer fields that may be accessed from C */
struct MComponentPeerIDs {
    jfieldID pData;
    jfieldID cursorSet;
    jfieldID target;
    jfieldID jniGlobalRef;
    jfieldID graphicsConfig;
};
