/*
 * @(#)awt_EmbeddedFrame.c	1.3 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#include "jni.h"


JNIEXPORT void JNICALL
Java_sun_awt_motif_MEmbeddedFrame_setThisPeer(JNIEnv *env,
                          jobject ob, jobject lpeer)
{
    jclass cls;
    jmethodID mid;
    jfieldID fid;

    cls = (*env)->GetObjectClass(env, ob);
    fid = (*env)->GetFieldID(env, cls, "peer", "Ljava/awt/peer/ComponentPeer;");
    (*env)->SetObjectField(env, ob, fid, lpeer);
}

