/*
 * @(#)canvas.h	1.16 98/10/05
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
#ifndef _CANVAS_H_
#define _CANVAS_H_

void awt_canvas_pointerMotionEvents(Widget w, long on, XtPointer this);
void awt_canvas_reconfigure(struct FrameData *wdata);
Widget awt_canvas_create(XtPointer this,
			 Widget parent,
			 char *base,
			 long width,
			 long height,
			 Boolean parentIsFrame,
			 struct FrameData *wdata,
                         AwtData *awtData);
void awt_canvas_scroll(XtPointer this, struct CanvasData *wdata, long dx, long dy);
void awt_canvas_event_handler(Widget w, XtPointer client_data,
			      XEvent *event, Boolean *cont);
void awt_canvas_handleEvent(Widget w, XtPointer client_data,
			    XEvent *event, struct WidgetInfo *winfo,
                            Boolean *cont, Boolean passEvent);

void awt_setActivatedShell(Widget shell);
void awt_setDeactivatedShell(Widget shell);
XEvent *awt_copyXEvent(XEvent * xevent);

#endif           /* _CANVAS_H_ */
