/*
 * @(#)tiny.h	1.8 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifndef _TINY_
#define _TINY_

#include "awt.h"

#define Color 			struct Hjava_awt_Color
#define Graphics 			struct Hjava_awt_Graphics
#define Font	 		struct Hjava_awt_Font
#define TinyToolkit 		struct Hsun_awt_tiny_TinyToolkit
#define TinyGraphics 		struct Hsun_awt_tiny_TinyGraphics
#define TinyFontMetrics 	struct Hsun_awt_tiny_TinyFontMetrics
#define TinyWindow 		struct Hsun_awt_tiny_TinyWindow
#define TinyEventThread 	struct Hsun_awt_tiny_TinyEventThread
#define TinyInputThread 	struct Hsun_awt_tiny_TinyInputThread

#define INVOKE(args) JAVA_UPCALL(args)

#ifndef MIN
#define MIN(a,b) ((a) < (b) ? (a) : (b))
#endif
#ifndef MAX
#define MAX(a,b) ((a) > (b) ? (a) : (b))
#endif

struct Hjava_awt_Graphics;
struct Hjava_awt_Color;
struct Hjava_awt_Font;
struct Hsun_awt_tiny_TinyToolkit;
struct Hsun_awt_tiny_TinyGraphics;
struct Hsun_awt_tiny_TinyFontMetrics;
struct Hsun_awt_tiny_TinyWindow;
struct Hsun_awt_tiny_TinyEventThread;
struct Hsun_awt_tiny_TinyInputThread;

extern void tiny_register(TinyWindow *win);
extern void tiny_unregister(TinyWindow *win);
extern void tiny_flush();

#endif

