/*
 * @(#)MCheckboxMenuItemPeer.java	1.9 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package sun.awt.win32;


import java.awt.*;
import java.awt.peer.*;

class MCheckboxMenuItemPeer extends MMenuItemPeer implements CheckboxMenuItemPeer {
    MCheckboxMenuItemPeer(CheckboxMenuItem target) {
	this.target = target;
	isCheckbox = true;
	create((Menu)target.getParent());
    }

    public native void setState(boolean t);

    public void action(boolean state) {
	CheckboxMenuItem target = (CheckboxMenuItem)this.target;
	target.setState(state);
	super.action();
    }
}

	
