/*
 * @(#)WEmbeddedGraphics.java	1.5 98/06/29
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package sun.awt.windows;

import java.awt.*;

/**
 * WEmbeddedGraphics is an object that encapsulates an HDC passed to an
 * EmbeddedFrame.
 */

public class WEmbeddedGraphics extends WGraphics {

    WEmbeddedGraphics(int hdc) {
        super(hdc);
    }

    protected void disposeImpl() {
        // Don't release the external HDC.
    }
}
