/*
 * @(#)gc_md.c	1.25 98/06/29
 *
 * Copyright 1994-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * Win32 support for garbage collecter
 */

#include <windows.h>
#include <stdio.h>

#include "sys_api.h"

void
gc_locked(unsigned int free, int clear_soft_refs)
{
    long regs[7];
    _asm {
        mov regs[0], eax
        mov regs[1], ebx
        mov regs[2], ecx
        mov regs[3], edx
        mov regs[4], esi
        mov regs[5], edi
        mov regs[6], ebp
    }
    gc0_locked(free, clear_soft_refs);
}
