/*
 * @(#)fontpath.c	1.4 98/06/08
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 *
 *  Author: Alex D. Gelfenbain
 *
 */

#include <windows.h>
#include <stdio.h>

#include <jni.h>
#include <jni_util.h>
#include <sun_awt_font_NativeFontWrapper.h>

#define BSIZE (max(512, MAX_PATH+1))


JNIEXPORT jstring JNICALL Java_sun_awt_font_NativeFontWrapper_getFontPath(JNIEnv *env, jclass obj)
{
    char buf[BSIZE];

    GetWindowsDirectory(buf, BSIZE);

    if (strlen(buf) > BSIZE-7) {
        *buf = 0;
    } else {
        strcat(buf, "\\Fonts");
    }
    
    return (*env)->NewStringUTF(env, buf);
}
