/*
 * @(#)awt_Container.cpp	1.13 97/08/07
 * 
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road, 
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * CopyrightVersion 1.2
 * 
 */

#include "awt_Container.h"
#include "awt.h"

/************************************************************************
 * AwtContainer fields
 */

jfieldID AwtContainer::ncomponentsID;
jfieldID AwtContainer::componentID;

/************************************************************************
 * AwtContainer native methods
 */

extern "C" {

JNIEXPORT void JNICALL 
Java_java_awt_Container_initIDs(JNIEnv *env, jclass cls) {
    AwtContainer::ncomponentsID = env->GetFieldID(cls, "ncomponents", "I");
    AwtContainer::componentID =
      env->GetFieldID(cls, "component", "[Ljava/awt/Component;");

    ASSERT(AwtContainer::ncomponentsID != NULL);
    ASSERT(AwtContainer::componentID != NULL);
}

} /* extern "C" */
