/*
 * @(#)awt_Dimension.cpp	1.13 97/08/07
 * 
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road, 
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * CopyrightVersion 1.2
 * 
 */

#include "awt_Dimension.h"
#include "awt.h"

/************************************************************************
 * AwtDimension fields
 */

jfieldID AwtDimension::widthID;
jfieldID AwtDimension::heightID;

/************************************************************************
 * AwtDimension native methods
 */

extern "C" {

JNIEXPORT void JNICALL 
Java_java_awt_Dimension_initIDs(JNIEnv *env, jclass cls) {
    AwtDimension::widthID = env->GetFieldID(cls, "width", "I");
    AwtDimension::heightID = env->GetFieldID(cls, "height", "I");

    ASSERT(AwtDimension::widthID != NULL);
    ASSERT(AwtDimension::heightID != NULL);
}

} /* extern "C" */
