/*
 * @(#)awt_Event.cpp	1.13 97/08/07
 * 
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road, 
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * CopyrightVersion 1.2
 * 
 */

#include "awt_Event.h"
#include "awt.h"

/************************************************************************
 * AwtEvent fields
 */

jfieldID AwtEvent::targetID;
jfieldID AwtEvent::xID;
jfieldID AwtEvent::yID;

/************************************************************************
 * AwtEvent native methods
 */

extern "C" {

JNIEXPORT void JNICALL 
Java_java_awt_Event_initIDs(JNIEnv *env, jclass cls) {
    AwtEvent::targetID = env->GetFieldID(cls, "target", "Ljava/lang/Object;");
    AwtEvent::xID = env->GetFieldID(cls, "x", "I");
    AwtEvent::yID = env->GetFieldID(cls, "y", "I");

    ASSERT(AwtEvent::targetID != NULL);
    ASSERT(AwtEvent::xID != NULL);
    ASSERT(AwtEvent::yID != NULL);
}

} /* extern "C" */
