/*
 * @(#)awt_Label.h	1.12 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifndef AWT_LABEL_H
#define AWT_LABEL_H

#include "awt_Component.h"

#include "java_awt_Label.h"
#include "sun_awt_windows_WLabelPeer.h"


/************************************************************************
 * AwtLabel class
 */

class AwtLabel : public AwtComponent {
public:
    /*
     * java.awt.Label fields
     */
    static jfieldID textID;
    static jfieldID alignmentID;

    AwtLabel();

    virtual const char* GetClassName();
    
    static AwtLabel* Create(jobject label, jobject parent);

    /*
     * Windows message handler functions
     */
    virtual MsgRouting WmPaint(HDC hDC);
    virtual MsgRouting WmPrintClient(HDC hDC, UINT flags);

private:
    void DoPaint(HDC hDC, RECT& r);
};

#endif /* AWT_LABEL_H */
