/*
 * @(#)awt_Mlib.h	1.3 98/04/06
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
#ifndef _AWT_MLIB_H_
#define _AWT_MLIB_H_

#ifdef __cplusplus
extern "C" {
#endif    
typedef void (*mlib_start_timer)(int);
typedef void (*mlib_stop_timer)(int, int);

JNIEXPORT jstring awt_getImagingLib();
JNIEXPORT mlib_start_timer awt_setMlibStartTimer();
JNIEXPORT mlib_stop_timer awt_setMlibStopTimer();
JNIEXPORT void awt_getBIColorOrder(int type, int *colorOrder);

#ifdef __cplusplus
}; /* end of extern "C" */
#endif    



#endif /* _AWT_MLIB_H */
