/*
 * @(#)awt_Rectangle.cpp	1.13 97/08/07
 * 
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road, 
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * CopyrightVersion 1.2
 * 
 */

#include "awt_Rectangle.h"
#include "awt.h"

/************************************************************************
 * AwtRectangle fields
 */

jfieldID AwtRectangle::xID;
jfieldID AwtRectangle::yID;
jfieldID AwtRectangle::widthID;
jfieldID AwtRectangle::heightID;

/************************************************************************
 * AwtRectangle native methods
 */

extern "C" {

JNIEXPORT void JNICALL 
Java_java_awt_Rectangle_initIDs(JNIEnv *env, jclass cls) {
    AwtRectangle::xID = env->GetFieldID(cls, "x", "I");
    AwtRectangle::yID = env->GetFieldID(cls, "y", "I");
    AwtRectangle::widthID = env->GetFieldID(cls, "width", "I");
    AwtRectangle::heightID = env->GetFieldID(cls, "height", "I");

    ASSERT(AwtRectangle::xID != NULL);
    ASSERT(AwtRectangle::yID != NULL);
    ASSERT(AwtRectangle::widthID != NULL);
    ASSERT(AwtRectangle::heightID != NULL);
}

} /* extern "C" */
