/*
 * @(#)awt_TextArea.h	1.9 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifndef AWT_TEXTAREA_H
#define AWT_TEXTAREA_H

#include "awt_TextComponent.h"

#include "java_awt_TextArea.h"
#include "sun_awt_windows_WTextAreaPeer.h"


/************************************************************************
 * AwtTextArea class
 */

class AwtTextArea : public AwtTextComponent {
public:

    /* java.awt.TextArea fields ids */
    static jfieldID scrollbarVisibilityID;

    AwtTextArea();

    static AwtTextArea* Create(jobject self, jobject parent);

    static int CountNewLines(JNIEnv *env, jstring jStr, int maxlen);
};

#endif /* AWT_TEXTAREA_H */
