# @(#)classes.mk	1.8 98/10/06
#
# Included makefile for building Notepad demo


# SRC_FILES and MISC_FILES should probably be moved to a common
# place in mincludes to follow the conventions of other makefiles.

SRCFILES = \
	$(TARGDIR)\ElementTreePanel.java \
	$(TARGDIR)\Notepad.java	

MISC_FILES = \
	$(CLASSDIR)/resources/copy.gif \
	$(CLASSDIR)/resources/cut.gif \
	$(CLASSDIR)/resources/new.gif \
	$(CLASSDIR)/resources/open.gif \
	$(CLASSDIR)/resources/paste.gif \
	$(CLASSDIR)/resources/save.gif \
	$(CLASSDIR)/resources/Notepad.properties \
	$(CLASSDIR)/resources/Notepad_fr.properties \
	$(CLASSDIR)/resources/Notepad_sv.properties \
	$(DESTDIR)/README.txt

TARGDIR = $(CLASSDIR)           # Trailing space is significant 

{$(SRCDIR)}.java{$(DESTDIR)}.java :
	cp $? $@

{$(DESTDIR)}.java{$(CLASSDIR)}.class :
	$(JAVAC_CMD) -classpath $(CLASSPATH);$(CLASSDIR);$(DESTDIR) -d $(CLASSDIR) $?

{$(SRCDIR)\resources}.gif{$(CLASSDIR)\resources}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)\resources}.properties{$(CLASSDIR)\resources}.properties :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)}.txt{$(DESTDIR)}.txt :
	-$(DEL) $@
	copy $? $@

FILES_java = $(SRCFILES)
FILES_class = $(SRCFILES:.java=.class)
FILES_misc = $(MISC_FILES:/=\)

CLASSPATH = $(CLASSBINDIR)

.SUFFIXES: .gif .txt .properties .java .class

clobber :: FORCE
	-$(DELTREE) $(DESTDIR)

FORCE: ;
