# @(#)classes.mk	1.1 97/11/18
#
# Included makefile for building SampleTree demo


# SRC_FILES and MISC_FILES should probably be moved to a common
# place in mincludes to follow the conventions of other makefiles.

SRCFILES = \
	$(TARGDIR)\DynamicTreeNode.java \
	$(TARGDIR)\SampleTree.java \
	$(TARGDIR)\SampleData.java \
	$(TARGDIR)\SampleTreeModel.java \
	$(TARGDIR)\SampleTreeCellRenderer.java

MISC_FILES = \
	$(DESTDIR)\images\collapsed.gif \
	$(DESTDIR)\images\expanded.gif \
	$(DESTDIR)\README.txt

TARGDIR = $(CLASSDIR)           # Trailing space is significant 

{$(SRCDIR)}.java{$(DESTDIR)}.java :
	cp $? $@

{$(DESTDIR)}.java{$(CLASSDIR)}.class :
	$(JAVAC_CMD) -classpath $(CLASSPATH);$(CLASSDIR);$(DESTDIR) -d $(CLASSDIR) $?

{$(SRCDIR)\images}.gif{$(DESTDIR)\images}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)}.txt{$(DESTDIR)}.txt :
	-$(DEL) $@
	copy $? $@

FILES_java = $(SRCFILES)
FILES_class = $(SRCFILES:.java=.class)
FILES_misc = $(MISC_FILES:/=\)

CLASSPATH = $(CLASSBINDIR)

.SUFFIXES: .gif .txt .properties .java .class

clobber :: FORCE
	-$(DELTREE) $(DESTDIR)

FORCE: ;
