# @(#)classes.mk	1.22 98/10/06
#
# Included makefile for building SwingSet demo


# SRC_FILES and MISC_FILES should probably be moved to a common
# place in mincludes to follow the conventions of other makefiles.

SRCFILES = \
	$(TARGDIR)\SwingSet.java		\
        $(TARGDIR)\SwingSetApplet.java        	\
	$(TARGDIR)\BorderPanel.java		\
	$(TARGDIR)\BorderedPanePanel.java	\
	$(TARGDIR)\ButtonPanel.java		\
	$(TARGDIR)\CheckboxPanel.java		\
        $(TARGDIR)\ComboBoxPanel.java         	\
	$(TARGDIR)\DebugGraphicsPanel.java	\
	$(TARGDIR)\DirectionButton.java		\
	$(TARGDIR)\ExampleFileFilter.java	\
	$(TARGDIR)\ExampleFileView.java	\
	$(TARGDIR)\InternalWindowPanel.java	\
	$(TARGDIR)\HtmlPanel.java		\
	$(TARGDIR)\LabelPanel.java		\
	$(TARGDIR)\ListPanel.java		\
	$(TARGDIR)\ProgressPanel.java		\
	$(TARGDIR)\RadioButtonPanel.java	\
	$(TARGDIR)\ScrollPanePanel.java		\
	$(TARGDIR)\SliderPanel.java		\
	$(TARGDIR)\SplitPanePanel.java		\
	$(TARGDIR)\TablePanel.java		\
	$(TARGDIR)\TextPanel.java		\
	$(TARGDIR)\ToggleButtonPanel.java	\
	$(TARGDIR)\ToolTipPanel.java		\
        $(TARGDIR)\TreeCombo.java             	\
	$(TARGDIR)\TreePanel.java

MISC_FILES = \
	$(DESTDIR)/images/AboutBorder.gif  \
	$(DESTDIR)/images/AboutSwing.gif  \
	$(DESTDIR)/images/BigTiger.gif  \
	$(DESTDIR)/images/Copyright.gif  \
	$(DESTDIR)/images/gifIcon.gif  \
	$(DESTDIR)/images/jpgIcon.jpg  \
	$(DESTDIR)/images/ImageClub/food/banana.gif  \
	$(DESTDIR)/images/ImageClub/food/broccoli.gif  \
	$(DESTDIR)/images/ImageClub/food/burger.gif  \
	$(DESTDIR)/images/ImageClub/food/cake.gif  \
	$(DESTDIR)/images/ImageClub/food/cantaloupe.gif  \
	$(DESTDIR)/images/ImageClub/food/carrot.gif  \
	$(DESTDIR)/images/ImageClub/food/corn.gif  \
	$(DESTDIR)/images/ImageClub/food/donut.gif  \
	$(DESTDIR)/images/ImageClub/food/fries.gif  \
	$(DESTDIR)/images/ImageClub/food/grapes.gif  \
	$(DESTDIR)/images/ImageClub/food/hotdog.gif  \
	$(DESTDIR)/images/ImageClub/food/icecream.gif  \
	$(DESTDIR)/images/ImageClub/food/peach.gif  \
	$(DESTDIR)/images/ImageClub/food/peas.gif  \
	$(DESTDIR)/images/ImageClub/food/pie.gif  \
	$(DESTDIR)/images/ImageClub/food/pizza.gif  \
	$(DESTDIR)/images/ImageClub/food/radish.gif  \
	$(DESTDIR)/images/ImageClub/food/softdrink.gif  \
	$(DESTDIR)/images/ImageClub/food/treat.gif  \
	$(DESTDIR)/images/ImageClub/food/watermelon.gif  \
	$(DESTDIR)/images/ImageClub/misc/cab.gif  \
	$(DESTDIR)/images/ImageClub/misc/fish.gif  \
	$(DESTDIR)/images/ImageClub/misc/horn.gif  \
	$(DESTDIR)/images/ImageClub/misc/moon.gif  \
	$(DESTDIR)/images/ImageClub/misc/sun.gif  \
	$(DESTDIR)/images/SmallTiger.gif  \
	$(DESTDIR)/images/WebSpice/bulb1.gif  \
	$(DESTDIR)/images/WebSpice/bulb2.gif  \
	$(DESTDIR)/images/WebSpice/bulb3.gif  \
	$(DESTDIR)/images/WebSpice/left.gif  \
	$(DESTDIR)/images/WebSpice/leftDown.gif  \
	$(DESTDIR)/images/WebSpice/leftRollover.gif  \
	$(DESTDIR)/images/WebSpice/radio.gif  \
	$(DESTDIR)/images/WebSpice/radioPressed.gif  \
	$(DESTDIR)/images/WebSpice/radioSelected.gif  \
	$(DESTDIR)/images/WebSpice/right.gif  \
	$(DESTDIR)/images/WebSpice/rightDown.gif  \
	$(DESTDIR)/images/WebSpice/rightRollover.gif  \
	$(DESTDIR)/images/buttonImage2.gif  \
	$(DESTDIR)/images/buttonImage3.gif  \
	$(DESTDIR)/images/buttonImage4.gif  \
	$(DESTDIR)/images/copy.gif  \
	$(DESTDIR)/images/cow.gif  \
	$(DESTDIR)/images/cowSmall.gif  \
	$(DESTDIR)/images/cut.gif  \
	$(DESTDIR)/images/document.gif  \
	$(DESTDIR)/images/dot.gif  \
	$(DESTDIR)/images/duke2.gif  \
	$(DESTDIR)/images/dukeMagnify.gif  \
	$(DESTDIR)/images/dukeSnooze.gif  \
	$(DESTDIR)/images/dukeWave.gif  \
	$(DESTDIR)/images/dukeWaveRed.gif  \
	$(DESTDIR)/images/folder.gif  \
	$(DESTDIR)/images/layout/bl.gif  \
	$(DESTDIR)/images/layout/bldn.gif  \
	$(DESTDIR)/images/layout/bm.gif  \
	$(DESTDIR)/images/layout/bmdn.gif  \
	$(DESTDIR)/images/layout/br.gif  \
	$(DESTDIR)/images/layout/brdn.gif  \
	$(DESTDIR)/images/layout/c.gif  \
	$(DESTDIR)/images/layout/cdn.gif  \
	$(DESTDIR)/images/layout/ml.gif  \
	$(DESTDIR)/images/layout/mldn.gif  \
	$(DESTDIR)/images/layout/mr.gif  \
	$(DESTDIR)/images/layout/mrdn.gif  \
	$(DESTDIR)/images/layout/tl.gif  \
	$(DESTDIR)/images/layout/tldn.gif  \
	$(DESTDIR)/images/layout/tm.gif  \
	$(DESTDIR)/images/layout/tmdn.gif  \
	$(DESTDIR)/images/layout/toggle.gif  \
	$(DESTDIR)/images/layout/toggledn.gif  \
	$(DESTDIR)/images/layout/tr.gif  \
	$(DESTDIR)/images/layout/trdn.gif  \
	$(DESTDIR)/images/list/a1.gif  \
	$(DESTDIR)/images/list/a1d.gif  \
	$(DESTDIR)/images/list/a2.gif  \
	$(DESTDIR)/images/list/a2d.gif  \
	$(DESTDIR)/images/list/a3.gif  \
	$(DESTDIR)/images/list/a3d.gif  \
	$(DESTDIR)/images/list/a4.gif  \
	$(DESTDIR)/images/list/a4d.gif  \
	$(DESTDIR)/images/list/a5.gif  \
	$(DESTDIR)/images/list/a5d.gif  \
	$(DESTDIR)/images/new.gif  \
	$(DESTDIR)/images/noDot.gif  \
	$(DESTDIR)/images/open.gif  \
	$(DESTDIR)/images/paste.gif  \
	$(DESTDIR)/images/people/amy.gif  \
	$(DESTDIR)/images/people/ges.gif  \
	$(DESTDIR)/images/people/jag.gif  \
	$(DESTDIR)/images/people/jeff.gif  \
	$(DESTDIR)/images/people/mathew.gif  \
	$(DESTDIR)/images/people/nathan.gif  \
	$(DESTDIR)/images/people/phil.gif  \
	$(DESTDIR)/images/people/pl.gif  \
	$(DESTDIR)/images/people/rich.gif  \
	$(DESTDIR)/images/people/rick.gif  \
	$(DESTDIR)/images/people/tim.gif  \
	$(DESTDIR)/images/people/tom.gif  \
	$(DESTDIR)/images/redDot.gif  \
	$(DESTDIR)/images/save.gif  \
	$(DESTDIR)/images/scrollpane/column.gif  \
	$(DESTDIR)/images/scrollpane/corner.gif  \
	$(DESTDIR)/images/scrollpane/header.gif  \
	$(DESTDIR)/images/swing-64.gif  \
	$(DESTDIR)/images/swing.small.gif  \
	$(DESTDIR)/images/swingLabelSmall.gif  \
	$(DESTDIR)/images/swirl.gif  \
	$(DESTDIR)/SwingSetApplet.html  \
	$(DESTDIR)/Constitution.txt  \
	$(DESTDIR)/ToolBar.txt  \
	$(DESTDIR)/example.html  \
	$(DESTDIR)/bugfixers.html  \
	$(DESTDIR)/README12.txt

# CLASSPATH = $(CLASSES);$(CLASSDIR);$(DESTDIR)
TARGDIR = $(CLASSDIR)           # Trailing space is significant 

{$(SRCDIR)}.java{$(DESTDIR)}.java :
	cp $? $@

{$(DESTDIR)}.java{$(CLASSDIR)}.class :
!ifdef BUILD_FOR_JDK11
	$(JAVAC_JDK11_CMD) -d $(DESTDIR) -classpath $(JDK11DIR)\classes;$(JDK11DIR)\lib\classes.zip;$(BUILDDIR)\1.1_classes;$(DESTDIR) $?
!else
	$(JAVAC_CMD) -classpath $(CLASSPATH);$(CLASSDIR);$(DESTDIR) -d $(CLASSDIR) $?
!endif

{$(SRCDIR)\images}.gif{$(DESTDIR)\images}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)\images}.jpg{$(DESTDIR)\images}.jpg :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)\images\ImageClub\food}.gif{$(DESTDIR)\images\ImageClub\food}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)\images\ImageClub\misc}.gif{$(DESTDIR)\images\ImageClub\misc}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)\images\layout}.gif{$(DESTDIR)\images\layout}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)\images\list}.gif{$(DESTDIR)\images\list}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)\images\scrollpane}.gif{$(DESTDIR)\images\scrollpane}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)\images\people}.gif{$(DESTDIR)\images\people}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)\images\WebSpice}.gif{$(DESTDIR)\images\WebSpice}.gif :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)}.txt{$(DESTDIR)}.txt :
	-$(DEL) $@
	copy $? $@

{$(SRCDIR)}.html{$(DESTDIR)}.html :
	-$(DEL) $@
	copy $? $@

FILES_java = $(SRCFILES)
FILES_class = $(SRCFILES:.java=.class)
FILES_misc = $(MISC_FILES:/=\)

CLASSPATH = $(CLASSBINDIR)

.SUFFIXES: .jpg .gif .txt .html .java .class

clobber :: FORCE
	-$(DELTREE) $(DESTDIR)

FORCE: ;

