/*
 * @(#)ByteToCharISO2022CN.java	1.6 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.io;

/**
 * @author Tom Zhou
 */
public class ByteToCharISO2022CN extends ByteToCharISO2022 
{
    public ByteToCharISO2022CN()
    {
	SODesignator = new String[3];
	SODesignator[0] = "$A";
	SODesignator[1] = "$)A";
        SODesignator[2] = "$)G";
	SS2Designator = new String[1];
	SS2Designator[0] = "$*H";
	SS3Designator = new String[1];
	SS3Designator[0] = "$+I";

	SOConverter = new ByteToCharConverter[3];
	SS2Converter = new ByteToCharConverter[1];
	SS3Converter = new ByteToCharConverter[1];

	try {
	    SOConverter[0] = SOConverter[1] 
			= ByteToCharConverter.getConverter("GB2312");
	    SOConverter[2] = SS2Converter[0] = SS3Converter[0] 
			= ByteToCharConverter.getConverter("CNS11643");
	} catch (Exception e) {};
    }

    // Return the character set id
    public String getCharacterEncoding()
    {
        return "ISO2022CN";
    }
}
