/*
 * @(#)CharToByteX11GB2312.java	1.7 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.motif;
import sun.io.CharToByteEUC_CN;

public class CharToByteX11GB2312 extends CharToByteEUC_CN {

    public String toString(){
	return "X11GB2312";
    }

    public boolean canConvert(char ch){
	if (ch < 0x80)
	    return false;
	return super.canConvert(ch);
    }
    
    public int convert(char[] input, int inOff, int inEnd,
                       byte[] output, int outOff, int outEnd) {

	for (int i = inOff; i < inEnd; i++) {
	    int euc = getNative(input[i]);
            output[outOff++] = (byte)((euc >> 8) & 0x7f);
            output[outOff++] = (byte)(euc & 0x7f);
        }
        return (inEnd - inOff) * 2;
    }

}

