/*
 * @(#)IIIMPEvent.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.im.iiimp;

import sun.awt.im.iiimp.InputContext;

//public 
abstract class IIIMPEvent extends java.util.EventObject {

    static final int NO_ID = 0;

    int id = NO_ID;

    public IIIMPEvent(InputContext ic) {
	super(ic);
	this.id = NO_ID;
    }

    public IIIMPEvent(InputContext ic, int id) {
	super(ic);
	this.id = id;
    }

    public int getID() {
	return id;
    }

    public InputContext getInputContext() {
	return (InputContext) source;
    }
}
