/*
 * @(#)InputMethodPreeditText.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.im.iiimp;

//public 
class InputMethodPreeditText {

    /** The caret position. */
    int position;

    public int getPosition() {
	return position;
    }

    public void setPosition(int position) {
	this.position = position;
    }

    /** The start position of the changed text. */
    int first_changed;

    public int getFirstChangedPosition() {
	return first_changed;
    }

    public void setFirstChangedPosition(int pos) {
	first_changed = pos;
    }

    /** The length of the changed text. */
    int length_changed;

    public int getTextChangedLength() {
	return length_changed;
    }

    public void setTextChangedLength(int length) {
	length_changed = length;
    }

    InputMethodText text;
    
    public InputMethodText getText() {
	return text;
    }

    public void setText(InputMethodText text) {
	this.text = text;
    }
}
