/*
 * @(#)InputMethodText.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.im.iiimp;

/**
 * The InputMethodText class encapsulates the representation of
 * feedback text from an input method.  The class specifies
 * characters to be drawn and feedbacks indicating how each
 * character should be drawn.
 */
//public 
class InputMethodText {

    /** The number of the InputMethodChar characters. */
    public int count;

    /** The list of the InputMethodChar. */
    public InputMethodChar value[];

    public String toString() {
	if (count == 0) {
	    return null;
	}
	StringBuffer sb = new StringBuffer();
	for (int i = 0; i < count; i++) {
	    sb.append(value[i].c);
	}
	return sb.toString();
    }
}
