/*
 * @(#)StatusEvent.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.im.iiimp;

import sun.awt.im.iiimp.InputContext;
import sun.awt.im.iiimp.InputMethodText;

//public 
class StatusEvent extends TextEvent {

    public static final int STATUS_START = 50;

    public static final int STATUS_DRAW = 52;

    public static final int STATUS_DONE = 54;

    public StatusEvent(InputContext ic, int id) {
	super(ic, id);
    }

    public StatusEvent(InputContext ic, int id, String str) {
	super(ic, id, str);
    }

    public StatusEvent(InputContext ic, int id, InputMethodText text) {
	super(ic, id, text);
    }
}
