/*
 * @(#)InternalBindingValue.java	1.12 98/06/29
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package com.sun.CosNaming;

import org.omg.CORBA.Object;
import org.omg.CosNaming.Binding;
import org.omg.CosNaming.NameComponent;

/**
 * Class InternalBindingKey acts as a container for two objects, namely
 * a org.omg.CosNaming::Binding and an CORBA object reference, which are the two
 * components associated with the binding.
 */
public class InternalBindingValue
{
  public Binding theBinding;
  public String strObjectRef;
  public org.omg.CORBA.Object theObjectRef;

  // Default constructor
  public InternalBindingValue() {}

  // Normal constructor
  public InternalBindingValue(Binding b, String o) {
    theBinding = b;
    strObjectRef = o;
  }
}
