/*
 * @(#)HaeMidiPlayer.java	1.8 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.audio;


/**
 * HaeMidiPlayer:
 * Allows the "playing" of MIDI events directly from Java code.
 */

class HaeMidiPlayer extends HaeMidiNoise
{
// PUBLIC CONSTRUCTION:
    public HaeMidiPlayer(HaeMixer mixer) {
        super(mixer);
    }

// PUBLIC OPERATIONS:
    public native void open(boolean loadInstruments)
                       throws HaeException;    // sets up for async midi calls
}
