/*
 * @(#)MagicEvent.java	1.1 98/07/30
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt;

import java.awt.event.InvocationEvent;

public class MagicEvent extends InvocationEvent {
    public static final long PRIORITY_EVENT = 0x01;

    private long flags;

    public MagicEvent(Object source, Runnable runnable, long flags) {
        this(source, runnable, null, false, flags);
    }

    public MagicEvent(Object source, Runnable runnable, Object notifier,
		      boolean catchExceptions, long flags) {
        super(source, runnable, notifier, catchExceptions);
	this.flags = flags;
    }

    public long getFlags() {
        return flags;
    }
}
