/*
 * @(#)RasterLockingException.java	1.5 98/07/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @author Charlton Innovations, Inc.
 */

package sun.java2d.loops;


/**
 * This exception is thrown if the raster can not be locked as
 * requested by the caller (null view area after clip, or other reason)
 * @version 31 Dec 1997
 */ 
public class RasterLockingException extends java.lang.RuntimeException {
    public RasterLockingException(String s) {
        super (s);
    }
}
