/*
 * @(#)XORComposite.java	1.4 98/06/29
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.java2d.loops;

import java.awt.image.ColorModel;
import java.awt.Color;
import java.awt.Composite;
import java.awt.CompositeContext;
import java.awt.RenderingHints;

/**
 * Bitwise XOR Composite class.
 */


public final class XORComposite implements Composite {

    Color xorColor;

    public XORComposite(Color xorColor) {
        this.xorColor = xorColor;
    }

    public Color getXorColor() {
        return xorColor;
    }

    public CompositeContext createContext(ColorModel srcColorModel,
					  ColorModel dstColorModel,
                                          RenderingHints hints) {
        CompositeContext ctx = null;
        return ctx;
    }
}
