/*
 * @(#)UnknownNewsgroupException.java	1.15 98/09/21
 *
 * Copyright 1994-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.net.nntp;

import java.io.IOException;

/**
 * The news group request was not recognized as an active news group by
 * the NNTP server.
 *
 * @version	1.5, 12 Dec 1994
 * @author	Jonathan Payne
 */
public class UnknownNewsgroupException extends IOException {
    UnknownNewsgroupException(String s) {
	super(s);
    }
}
