/*
 * @(#)plain.java	1.14 98/09/21
 *
 * Copyright 1994-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/**
 * Plain text file handler.
 * @version 1.14, 09/21/98
 * @author  Steven B. Byrne
 */
package sun.net.www.content.text;
import java.net.*;
import java.io.InputStream;
import java.io.IOException;

public class plain extends ContentHandler {
    /**
     * Returns a PlainTextInputStream object from which data
     * can be read.
     */
    public Object getContent(URLConnection uc) {
	try {
	    InputStream is = uc.getInputStream();
	    return new PlainTextInputStream(uc.getInputStream());
	} catch (IOException e) {
	    return "Error reading document:\n" + e.toString();
	}
    }
}
