/*
 * @(#)executeShell.java	1.7 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.net.www.httpd.plugins;

import sun.net.www.httpd.ServerPlugin;
import sun.net.www.httpd.Server;
import java.net.URL;

/**
 * A class to define a server plugin that will execute a shell command
 * and return its output as an html document.
 * @author  James Gosling
 */

class executeShell extends ServerPlugin {
    String validate() {
	if (args.length < 1)
	    return "No shell command specified";
	return null;
    }
    void getRequest(Server s, URL u) {
	String command = args[0].toString();
	for (int i = 1; i < args.length; i++)
	    command = command + " " + args[i].toString();
	System.out.print("Trying to exec <" + command + ">\n");
	s.generateProcessOutput(command, command);
    }
}
