/*
 * @(#)TotalUnReadIndicator.java	1.11 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.net.www.protocol.news;

import java.io.*;
import java.util.*;
import sun.net.nntp.*;
import sun.net.smtp.SmtpClient;
import browser.Applet;
import browser.WRWindow;
import browser.DocumentManager;
import sun.net.TelnetInputStream;
import sun.net.UnknownHostException;
import awt.*;

class TotalUnReadIndicator extends Applet {
    int anum;
    Newsgroup group;
    Color fg;
    public void init() {
	group = newsFetcher.findGroup(getAttribute("group"));
	resize(50, 10);
    }
    /**
     * Paint the current frame.
     */
    public void paint(Graphics g) {
	int n;

	if (group == null || group.articles == null)
	    n = 0;
	else
	    n = group.articles.size();
	if (n > 0) {
	    String s = String.valueOf(n);
	    FontMetrics fm = g.getFontMetrics(font);
	    g.drawString(s, width - fm.stringWidth(s) - 3, height);
	}
    }
}
