/*
 * @(#)RMISocketInfo.java	1.5 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package sun.rmi.transport.proxy;

/**
 * RMISocketInfo is an interface that extensions of the java.net.Socket
 * class may use to provide more information on its capabilities.
 */
public interface RMISocketInfo {

    /**
     * Return true if this socket can be used for more than one
     * RMI call.  If a socket does not implement this interface, then
     * it is assumed to be reusable.
     */
    public boolean isReusable();
}
