/*
 * @(#)WorldGroupImpl.java	1.6 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.security.acl;

import java.security.*;

/**
 * This class implements a group of principals.
 * @author Satish Dharmaraj
 */
public class WorldGroupImpl extends GroupImpl {

    public WorldGroupImpl(String s) {
	super(s);
    }

    /**
     * returns true for all passed principals
     * @param member The principal whose membership must be checked in this Group.
     * @return true always since this is the "world" group.
     */
    public boolean isMember(Principal member) {
	return true;
    }
}
