/*
 * @(#)AbsentInformationException.java	1.4 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.tools.agent;

/**
 *   Signals that information cannot be retrieved.
 *   @author Robert Field
 */
class AbsentInformationException extends Exception {

    /**
     * Constructor.
     */
    AbsentInformationException() {
	super();
    }

    /**
     * Constructor with a detail message.
     */
    AbsentInformationException(String str) {
	super(str);
    }

    /**
     * Create an exception given another exception.
     */
    AbsentInformationException(Exception exc) {
        super(exc.getMessage());
    }
}
