/*
 * @(#)CatchData.java	1.12 98/09/21
 *
 * Copyright 1994-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.tools.asm;

import sun.tools.java.*;
import java.util.Hashtable;

public final
class CatchData {
     Object type;
     Label label;

     /**
      * Constructor
      */
     CatchData(Object type) {
	 this.type = type;
	 this.label = new Label();
     }

     /**
      * Get the label
      */
     public Label getLabel() {
	 return label;
     }

     /**
      * Get the clazz
      */
     public Object getType() {
	 return type;
     }
}
