/*
 * @(#)TryData.java	1.13 98/09/21
 *
 * Copyright 1994-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.tools.asm;

import sun.tools.java.*;
import java.util.Vector;

public final
class TryData {
    Vector catches = new Vector();
    Label endLabel = new Label();
    
    /**
     * Add a label
     */
    public CatchData add(Object type) {
	CatchData cd = new CatchData(type);
	catches.addElement(cd);
	return cd;
    }

    /**
     * Get a label
     */
    public CatchData getCatch(int n) {
	return (CatchData)catches.elementAt(n);
    }

    /**
     * Get the default label
     */
    public Label getEndLabel() {
	return endLabel;
    }
}
