/*
 * @(#)NoSuchLineNumberException.java	1.6 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.tools.debug;

/**
 * Signals that no code is associated with a specified line number in a
 * Java source file.
 */
public class NoSuchLineNumberException extends Exception {
    /**
     * Constructor.
     */
    public NoSuchLineNumberException() {
	super();
    }

    /**
     * Constructor with a detail message.
     */
    public NoSuchLineNumberException(String s) {
	super(s);
    }
}
