/*
 * @(#)BinaryExceptionHandler.java	1.9 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.tools.java;

/**
 * A single exception handler.  This class hangs off BinaryCode.
 */

public class BinaryExceptionHandler {
    public int startPC;		
    public int endPC;
    public int handlerPC;
    public ClassDeclaration exceptionClass;

    BinaryExceptionHandler(int start, int end, 
			   int handler, ClassDeclaration xclass) {
	startPC = start;
	endPC = end;
	handlerPC = handler;
	exceptionClass = xclass;
    }
}
