/*
 * %W% %E%
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.tools.javac;

/**
 * Allows for easier parsing of errors and warnings from the compiler
 */
 
public
interface ErrorConsumer {
	public void pushError(String errorFileName, 
							int line, 
							String message,
							String referenceText, String referenceTextPointer);
};
