/*
 * @(#)HaeMixer.h	1.8 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */


#include "JncObject.h"


////////////////////////////////////////////////// CLASSES:

class HaeMixer : public JncObject   //KARA7: simplified class
{
PUBLIC_EXISTENCE:
    HaeMixer(JncEnv& env, jobject obj)
    : JncObject(env, obj)
    {}

PUBLIC_OPERATIONS:
    void            SetQuality(jint value)
    { SetIntField("m_quality", value); }
    void            SetInterpolation(jint value)
    { SetIntField("m_interpolation", value); }
    void            SetModifiers(jint value)
    { SetIntField("m_modifiers", value); }
    void            SetMidiVoiceCount(jint value)
    { SetIntField("m_midiVoiceCount", value); }
    void            SetSoundVoiceCount(jint value)
    { SetIntField("m_soundVoiceCount", value); }
    void            SetVolumeDivisor(jint value)
    { SetIntField("m_volumeDivisor", value); }
    void            SetReverbType(jint value)
    { SetIntField("m_reverbType", value); }

PUBLIC_DATA:
    jint            GetQuality()
    { return GetIntField("m_quality"); }
    jint            GetInterpolation()
    { return GetIntField("m_interpolation"); }
    jint            GetModifiers()
    { return GetIntField("m_modifiers"); }
    jint            GetMidiVoiceCount()
    { return GetIntField("m_midiVoiceCount"); }
    jint            GetSoundVoiceCount()
    { return GetIntField("m_soundVoiceCount"); }
    jint            GetVolumeDivisor()
    { return GetIntField("m_volumeDivisor"); }
    jint            GetReverbType()
    { return GetIntField("m_reverbType"); }
};


