/*
 * @(#)HaeMixerFrame.h	1.7 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */


#include "JncObject.h"


////////////////////////////////////////////////// CLASSES:

class HaeMixerFrame : public JncObject  //KARA7: simplified class
{
PUBLIC_EXISTENCE:
    HaeMixerFrame(JncEnv& env, jobject obj)
    : JncObject(env, obj)
    {}

PUBLIC_OPERATIONS:
    void            SetValidLength(jint value)
    { SetIntField("m_validLength", value); }

PUBLIC_DATA:
    jshortArray     GetLeftBuffer()
    { return GetShortArrayField("m_leftBuffer"); }
    jshortArray     GetRightBuffer()
    { return GetShortArrayField("m_rightBuffer"); }
};


