/*
 * @(#)HaeMixerInfo.h	1.7 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */


#include "JncObject.h"


////////////////////////////////////////////////// CLASSES:

class HaeMixerInfo : public JncObject   //KARA7: simplified class
{
PUBLIC_EXISTENCE:
    HaeMixerInfo(JncEnv& env, jobject obj)
    : JncObject(env, obj)
    {}

PUBLIC_OPERATIONS:
    void            SetActiveVoiceCount(jint value)
    { SetIntField("m_activeVoiceCount", value); }

PUBLIC_DATA:
    jshortArray     GetInternalIndex()
    { return GetShortArrayField("m_internalIndex"); }
    jshortArray     GetInstrument()
    { return GetShortArrayField("m_instrument"); }
    jshortArray     GetMidiVolume()
    { return GetShortArrayField("m_midiVolume"); }
    jshortArray     GetScaledVolume()
    { return GetShortArrayField("m_scaledVolume"); }
    jshortArray     GetChannel()
    { return GetShortArrayField("m_channel"); }
    jshortArray     GetMidiNote()
    { return GetShortArrayField("m_midiNote"); }
};


