/*
 * @(#)Hae_Impl.h	1.13 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */


#include <stdio.h>
#include "X_API.h"
#include "GenSnd.h"
#include "X_Formats.h"

#include "Jnc.h"
#include "HaeEnv.h"


//KARA7: got rid of DEBUG_TRACE stuff, use TRACE0/1/2/3 (in Jnc.h) instead, 


////////////////////////////////////////////////// HANDY MACROS:

#define DOUBLE_TO_FIXED(x)  ((unsigned long)((x) * 65536.0))
#define FIXED_TO_DOUBLE(x)  (((jdouble)(x)) / 65536.0)
#define DOUBLE_TO_VOLUME(v) ((unsigned short)((v) * MAX_NOTE_VOLUME))
#define VOLUME_TO_DOUBLE(v) ((jdouble)(v) / MAX_NOTE_VOLUME)
#define DOUBLE_TO_PAN(v)    ((short)((v) * 63))
#define PAN_TO_DOUBLE(v)    ((jdouble)(v) / 63)

// a set of error codes that merge with the _ERR codes in GenSnd.h
// used by HaeEnv::ThrowOnError()
// Colliding definitions should get caught by switch() in HaeEnv::ThrowOnError()
#define EXTRA_ERROR_PLATFORM    ((OPErr)101)
#define EXTRA_ERROR_NOT_IMPL    ((OPErr)102)

#define  JAVA_PACKAGE_NAME  "sun/audio"     //KARA7: moved this


////////////////////////////////////////////////// HANDY TYPES:


////////////////////////////////////////////////// GLOBAL UTILITY FUNCTIONS:


////////////////////////////////////////////////// GET RID OF UNUSED CODE

#define HAE_FILES               FALSE
#define HAE_STRINGS             FALSE
#define HAE_MIXER_FEEDBACK      FALSE
#define HAE_DIRECT_WAVES        TRUE
#define HAE_MIDI_PLAYERS        FALSE



