/*
 * @(#)alphaCompst_XOR_MODE.h	1.8 98/08/31
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifdef COMPST_TWO_COMPONENTS
#define RASTEROP_XOR(rA, cA, xA, sA, sR, sG, sB, dA, dR, dG, dB) \
        RASTEROP_XOR2(rA, cA, xA, sA, sR, sG, sB, dA, dR, dG, dB)
#endif

#ifdef COMPST_FOUR_COMPONENTS
#define RASTEROP_XOR(rA, cA, xA, sA, sR, sG, sB, dA, dR, dG, dB) \
        RASTEROP_XOR4(rA, cA, xA, sA, sR, sG, sB, dA, dR, dG, dB)
#endif

#ifndef RASTEROP_XOR
#define RASTEROP_XOR(rA, cA, xA, sA, sR, sG, sB, dA, dR, dG, dB) \
        RASTEROP_XOR4(rA, cA, xA, sA, sR, sG, sB, dA, dR, dG, dB)
#endif


#define RASTEROP_XOR2(rA, cA, xA,					\
                  sA, sR, sG, sB,					\
                  dA, dR, dG, dB)					\
    do {								\
	if (rA) {       						\
	    dR ^= sR;                                                   \
	} else {                                                        \
            skipDst = 1;                                                \
        }                                                               \
    } while (0)

#define RASTEROP_XOR4(rA, cA, xA,					\
                  sA, sR, sG, sB,					\
                  dA, dR, dG, dB)					\
    do {								\
	if (rA) {       						\
	    dR ^= sR;                                                   \
	    dG ^= sG;                                                   \
	    dB ^= sB;                                                   \
	} else {                                                        \
            skipDst = 1;                                                \
        }                                                               \
    } while (0)

