/*
 * @(#)alphaCompst_bitmaskAlpha.h	1.4 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#define CLIP_BLEND(rA, cA, s1, s2)					\
    (((rA) * (s1) + (cA) * (s2)) / NORM_SCALE)

/* TODO: the offset for path data should calculate pathData and pathDataInc */
#define InitRastAlpha							\
    do {								\
	alphaTileScan -= width;						\
    } while (0)

#define ReadRastAlpha(rA, cA)                                           \
do {                                                                    \
    rA = (*pathData & 0x1) << 8;					\
} while(0)

#define NextRastAlpha                                                   \
    do {								\
            pathDataInc++;                                              \
            pathDataInc %= 8;                                           \
            if (pathDataInc) {                                          \
                *pathData >>= 1;					\
            } else {                                                    \
                pathData++;                                             \
            }                                                           \
    } while (0)

#define NextRastAlphaRow                                                \
do {                                                                    \
    pathData += alphaTileScan/8;					\
} while (0)
