/*
 * @(#)cmm.h	1.6 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/**********************************************************************
 **********************************************************************
 **********************************************************************
 *** COPYRIGHT (c) Eastman Kodak Company, 1997                      ***
 *** As  an unpublished  work pursuant to Title 17 of the United    ***
 *** States Code.  All rights reserved.                             ***
 **********************************************************************
 **********************************************************************
 **********************************************************************/

//{{NO_DEPENDENCIES}}
// Microsoft Developer Studio generated include file.
// Used by cmm.rc
//
#define SpProfError                     498
#define SpNotImp                        499
#define SpSuccess                       500
#define SpBadCallerId                   501
#define SpBadLutType                    502
#define SpBadProfile                    503
#define SpBadTagData                    504
#define SpBadTagType                    505
#define SpBadTagId                      506
#define SpBadXform                      507
#define SpXformNotActive                508
#define SpBufferTooSmall                509
#define SpFailure                       510
#define SpFileNotFound                  511
#define SpFileReadError                 512
#define SpFileWriteError                513
#define SpIncompatibleArguments         514
#define SpMemory                        515
#define SpNoFileName                    516
#define SpNotFound                      517
#define SpOutOfRange                    518
#define SpTagNotFound                   519
#define SpBadBuffer                     520
#define SpBadProfileDir                 521
#define SpReqTagMissing                 522
#define SpUnsupported                   523
#define NoComponent                     524
#define SpNoCompMemory                  525
#define SpBadCompRequest                526
#define SpBadCompInstance               527
#define SpCPComp                        528
#define SpResFileErr                    529
#define SpKcmFailure                    530
#define SpAbort                         531
#define SpXformIsPerceptual             532
#define SpXformIsColormetric            533
#define SpXformIsSaturation             534
#define SpEffectInputStr                12200
#define SpEffectOutputStr               12201
#define SpEffectAdaptStr                12202
#define SpEffectToneStr                 12203
#define SpEffectGreyBalanceStr          12204
#define SpEffectSelColorStr             12205
#define SpEffectNegToPosStr             12206
#define SpEffectMPAStr                  12207
#define SpKIllumD50FlourescentStr       12220
#define SpKIllumD65FlourescentStr       12221
#define SpKIllumTungstenStr             12222
#define SpKIllumD50Str                  12223
#define SpKIllumD65Str                  12224
#define SpKIllumD93Str                  12225
#define SpKIllumF2Str                   12226
#define SpKIllumIncandescentStr         12227
#define SpInterpPerceptualStr           12240
#define SpInterpColormetricStr          12241
#define SpInterpPhotoCDStr              12242
#define SpInterpNegativeStr             12243
#define SpMediumReflectiveStr           12260
#define SpMediumTransmissiveStr         12261
#define SpMediumSensePositiveStr        12270
#define SpMediumSenseNegativeStr        12271
#define SpSenseIsInvertibleStr          12280
#define SpSenseNotInvertibleStr         12281
#define SpMediumKodaChromeStr           12290
#define SpMediumEktaColorStr            12291
#define SpMediumEktaChromeStr           12292
#define SpMediumFujiChromeStr           12293
#define SpMediumEktaThermStr            12294
#define SpMediumPaperStr                12295
#define SpMediumPhotoPrintStr           12296
#define SpMediumTransparencyStr         12297
#define SpMediumColorNegativeStr        12298
#define SpIsLinearizedStr               12310
#define SpNotLinearizedStr              12311
#define SpPhosphorP22Str                12320
#define SpPhosphorEBUStr                12321
#define SpPhosphorSMPTE_CStr            12322
#define SpBlackShapeAggressiveStr       12330
#define SpBlackShapeNormalStr           12331
#define SpBlackDelayShortStr            12340
#define SpBlackDelayMediumStr           12341
#define SpBlackDelayLongStr             12342
#define SpPrivateStr                    12400
#define SpKDeviceBitsStr                12401
#define SpKDeviceSerialNumStr           12402
#define SpKDeviceSettingsStr            12403
#define SpKDeviceUnitStr                12404
#define SpKDMaxStr                      12405
#define SpKEffectTypeStr                12406
#define SpKIllumStr                     12407
#define SpKInterpretationStr            12408
#define SpKLinearizationTypeStr         12409
#define SpKLinearizedStr                12410
#define SpKMediumStr                    12411
#define SpKMediumDescStr                12412
#define SpKMediumProductStr             12413
#define SpKMediumSenseStr               12414
#define SpKDotGain25Str                 12415
#define SpKDotGain50Str                 12416
#define SpKDotGain75Str                 12417
#define SpKPhosphorStr                  12418
#define SpKPrtBlackShapeStr             12419
#define SpKPrtBlackStartDelayStr        12420
#define SpKSenseInvertibleStr           12421
#define SpKVersionStr                   12422
#define SpKDensityTypeStr               12423
#define SpKXchDeviceBitsStr             12424
#define SpKXchDeviceSerialNumStr        12425
#define SpKXchDeviceSettingsStr         12426
#define SpKXchDeviceUnitStr             12427
#define SpKXchGammaStr                  12428
#define SpKXchIllumStr                  12429
#define SpKXchInterpretationStr         12430
#define SpKXchLinearizationTypeStr      12431
#define SpKXchLinearizedStr             12432
#define SpKXchMediumStr                 12433
#define SpKXchMediumDescStr             12434
#define SpKXchMediumProductStr          12435
#define SpKXchMediumSenseStr            12436
#define SpKXchPhosphorStr               12437
#define SpKXchSenseInvertibleStr        12438
#define SpKXchDotGain25Str              12439
#define SpKXchDotGain50Str              12440
#define SpKXchDotGain75Str              12441
#define SpKChainAToB0Str                12442
#define SpKChainBToA0Str                12443
#define SpKChainPreview0Str             12444
#define SpKChainAToB1Str                12445
#define SpKChainBToA1Str                12446
#define SpKChainPreview1Str             12447
#define SpKChainAToB2Str                12448
#define SpKChainBToA2Str                12449
#define SpKChainPreview2Str             12450
#define SpAToB0Str                      12451
#define SpAToB1Str                      12452
#define SpAToB2Str                      12453
#define SpBlueColorantStr               12454
#define SpBlueTRCStr                    12455
#define SpBToA0Str                      12456
#define SpBToA1Str                      12457
#define SpBToA2Str                      12458
#define SpCalibrationDateTimeStr        12459
#define SpCharTargetStr                 12460
#define SpCopyRightStr                  12461
#define SpDeviceMfgDescStr              12462
#define SpDeviceModelDescStr            12463
#define SpGamutStr                      12464
#define SpGrayTRCStr                    12465
#define SpGreenColorantStr              12466
#define SpGreenTRCStr                   12467
#define SpLuminanceStr                  12468
#define SpMeasurementStr                12469
#define SpMediaBlackPntStr              12470
#define SpMediaWhitePntStr              12471
#define SpNamedColorStr                 12472
#define SpPreview0Str                   12473
#define SpPreview1Str                   12474
#define SpPreview2Str                   12475
#define SpProfileDescStr                12476
#define SpProfileSeqDescStr             12477
#define SpPS2CRD0Str                    12478
#define SpPS2CRD1Str                    12479
#define SpPS2CRD2Str                    12480
#define SpPS2CRD3Str                    12481
#define SpPS2CSAStr                     12482
#define SpPS2RenderIntentStr            12483
#define SpRedColorantStr                12484
#define SpRedTRCStr                     12485
#define SpScreeningDescStr              12486
#define SpScreeningStr                  12487
#define SpTechnologyStr                 12488
#define SpUcrbgTypeStr                  12489
#define SpViewingCondDescStr            12490
#define SpViewingConditionsStr          12491
#define SpNamedColor2Str                12492
#define SpKProfileHistory               12493
#define SpKPCDFilmTerm                  12494
#define SpKInkName0                     12495
#define SpKInkName1                     12496
#define SpKInkName2                     12497
#define SpKInkName3                     12498
#define SpKInkName4                     12499
#define SpKInkName5                     12500
#define SpKInkName6                     12501
#define SpKInkName7                     12502
#define SpKInkDensities                 12503
#define SpCrdInfoStr                    12504
#define SpKChainGamutStr                12505
#define SpUnknownStr                    12700
#define SpEnumStr                       12701
#define SpCurveStr                      12702
#define SpDataStr                       12703
#define SpDateTimeStr                   12704
#define SpLutStr                        12705
#define SpMeasurementTypeStr            12706
#define SpNamedColorsStr                12707
#define SpProfileSeqDescTypeStr         12708
#define SpSF15d16Str                    12709
#define SpScreeningTypeStr              12710
#define SpSignatureStr                  12711
#define SpTextStr                       12712
#define SpTextDescStr                   12713
#define SpUF16d16Str                    12714
#define SpUcrbgTagStr                   12715
#define SpUInt16Str                     12716
#define SpUInt32Str                     12717
#define SpUInt64Str                     12718
#define SpUInt8Str                      12719
#define SpViewingStr                    12720
#define SpXYZStr                        12721
#define SpNamedColors2Str               12722
#define SpCrdInfoTypeStr                12723

// Next default values for new objects
// 
#ifdef APSTUDIO_INVOKED
#ifndef APSTUDIO_READONLY_SYMBOLS
#define _APS_NEXT_RESOURCE_VALUE        101
#define _APS_NEXT_COMMAND_VALUE         40001
#define _APS_NEXT_CONTROL_VALUE         1000
#define _APS_NEXT_SYMED_VALUE           101
#endif
#endif
