/*
 * @(#)kcpmgru.h	1.5 98/06/29
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * File: kcpmgru.h	2.13 98/02/17
 *
 *	Contains:	KCM Driver utility routines header info
 *
 ****************************************************************
 *    COPYRIGHT (c) 1991-1998 Eastman Kodak Company.
 *    As an unpublished work pursuant to Title 17 of the United
 *    States Code.  All rights reserved.
 *****************************************************************
 */

#ifndef _KCPMGRU_H_
#define _KCPMGRU_H_ 1

#include "kcmsos.h"

#if defined (KPMAC68K)

/* functions */
static SetA4 (long newA4) =
{
	0x201F,		/* POP	D0 */
	0xC18C		/* EXG	A4, D0 */
};

pascal void FixPC() =
{
	0x41FA, 0x000A,
	0x2008,
	0xA055,
	0x2040,
	0x4ED0
};

#define bits32 { \
	FixPC();	\
	host_mmu_mode = GetMMUMode(); \
	mode_32b = 1;	\
	SwapMMUMode(&mode_32b); \
	}

#define bits24 { \
	SwapMMUMode((char *) &host_mmu_mode); \
	}

#endif


/* routines in kcpmgru.c */
KCP_GLOBAL	PTErr_t FAR PASCAL callProgress ARGS((callBack_p, KpInt32_t));
void		initProgressPasses ARGS((KpInt32_t, callBack_p));
void		initProgress ARGS((KpInt32_t, callBack_p));
PTErr_t		doProgress ARGS((callBack_p, KpInt32_t));
PTErr_t		KPCPProgressCallback ARGS((callBack_p, KpInt32_t));

#endif
