/*
 * %W% %E%
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * T1Order.H
 * Copyright (C) 1989-1998 all rights reserved by Type Solutions, Inc. Plaistow, NH, USA.
 * Author: Scott Silverman, Sampo Kaasila
 *
 * This software is the property of Type Solutions, Inc. and it is furnished
 * under a license and may be used and copied only in accordance with the
 * terms of such license and with the inclusion of the above copyright notice.
 * This software or any other copies thereof may not be provided or otherwise
 * made available to any other person or entity except as allowed under license.
 * No title to and ownership of the software or intellectual property
 * therewithin is hereby transferred.
 *
 * This information in this software is subject to change without notice
 */
#define		kA					1					
#define		kAE					2
#define		kAacute				3
#define		kAcircumflex		4
#define		kAdieresis			5
#define		kAgrave				6	
#define		kAring				7
#define		kAtilde				8
#define		kB					9

#define		kC					10
#define		kCacute				11
#define		kCcaron				12
#define		kCcedilla			13
#define		kD					14
#define		kE					15
#define		kEacute				16
#define		kEcircumflex		17
#define		kEdieresis			18
#define		kEgrave				19

#define		kEth				20
#define		kF					21
#define		kG					22
#define		kGbreve				23
#define		kH					24
#define		kI					25
#define		kIdot				26
#define		kIacute				27
#define		kIcircumflex		28
#define		kIdieresis			29

#define		kIgrave				30
#define		kJ					31
#define		kK					32
#define		kL					33
#define		kLslash				34
#define		kM					35
#define		kN					36
#define		kNtilde				37
#define		kO					38
#define		kOE					39

#define		kOacute				40
#define		kOcircumflex		41
#define		kOdieresis			42
#define		kOgrave				43
#define		kOslash				44
#define		kOtilde				45
#define		kP					46
#define		kQ					47
#define		kR					48
#define		kS					49

#define		kScaron				50
#define		kScedilla			51
#define		kT					52
#define		kThorn				53
#define		kU					54
#define		kUacute				55
#define		kUcircumflex		56
#define		kUdieresis			57
#define		kUgrave				58
#define		kV					59

#define		kW					60
#define		kX					61
#define		kY					62
#define		kYacute				63
#define		kYdieresis			64
#define		kZ					65
#define		kZcaron				66
#define		ka					67
#define		kaacute				68
#define		kacircumflex		69

#define		kacute				70
#define		kadieresis			71
#define		kae					72
#define		kagrave				73
#define		kampersand			74
#define		karing				75
#define		kasciicircum		76
#define		kasciitilde			77
#define		kasterisk			78
#define		kat					79

#define		katilde				80
#define		kb					81
#define		kbackslash			82
#define		kbar				83
#define		kbraceleft			84
#define		kbraceright			85
#define		kbracketleft		86
#define		kbracketright		87
#define		kbreve				88
#define		kbrokenbar			89

#define		kbullet				90
#define		kc					91
#define		kcacute				92
#define		kcaron				93
#define		kccaron				94
#define		kccedilla			95
#define		kcedilla			96
#define		kcent				97
#define		kcircumflex			98
#define		kcolon				99

#define		kcomma				100
#define		kcopyright			101
#define		kcurrency			102
#define		kd					103
#define		kdagger				104
#define		kdaggerdbl			105
#define		kdegree				106
#define		kdelta				107
#define		kdieresis			108
#define		kdivide				109

#define		kdollar				110
#define		kdotaccent			111
#define		kdotlessi			112
#define		kdmacron			113
#define		ke					114
#define		keacute				115
#define		kecircumflex		116
#define		kedieresis			117
#define		kegrave				118
#define		keight				119

#define		kellipsis			120
#define		kemdash				121
#define		kendash				122
#define		kequal				123
#define		keth				124
#define		kexclam				125
#define		kexclamdown			126
#define		kf					127
#define		kfi					128
#define		kfive				129

#define		kfl					130
#define		kflorin				131
#define		kfour				132
#define		kfraction			133
#define		kfranc				134
#define		kg					135
#define		kgbreve				136
#define		kgermandbls			137
#define		kgrave				138
#define		kgreater			139

#define		kgreaterequal		140
#define		kguillemotleft		141
#define		kguillemotright		142
#define		kguilsinglleft		143
#define		kguilsinglright		144
#define		kh					145
#define		khungarumlaut		146
#define		khyphen				147
#define		ki					148
#define		kiacute				149

#define		kicircumflex		150
#define		kidieresis			151
#define		kigrave				152
#define		kj					153
#define		kk					154
#define		kl					155
#define		kless				156
#define		klessequal			157
#define		klogicalnot			158
#define		klslash				159

#define		km					160
#define		kmacron				161
#define		kminus				162
#define		kmu					163
#define		kmultiply			164
#define		kn					165
#define		knine				166
#define		kntilde				167
#define		knumbersign			168
#define		ko					169

#define		koacute				170
#define		kocircumflex		171
#define		kodieresis			172
#define		koe					173
#define		kogonek				174
#define		kograve				175
#define		kone				176
#define		konehalf			177
#define		konequarter			178
#define		konesuperior		179

#define		kordfeminine		180
#define		kordmasculine		181
#define		koslash				182
#define		kotilde				183
#define		kp					184
#define		kparagraph			185
#define		kparenleft			186
#define		kparenright			187
#define		kpercent			188
#define		kperiod				189

#define		kperiodcentered		190
#define		kperthousand		191
#define		kplus				192
#define		kplusminus			193
#define		kq					194
#define		kquestion			195
#define		kquestiondown		196
#define		kquotedbl			197
#define		kquotedblbase		198
#define		kquotedblleft		199

#define		kquotedblright		200
#define		kquoteleft			201
#define		kquoteright			202
#define		kquotesinglbase		203
#define		kquotesingle		204
#define		kr					205
#define		kregistered			206
#define		kring				207
#define		ks					208
#define		kscaron				209

#define		kscedilla			210
#define		ksection			211
#define		ksemicolon			212
#define		kseven				213
#define		ksix				214
#define		kslash				215
#define		kspace				216
#define		ksterling			217
#define		kt					218
#define		kthorn				219

#define		kthree				220
#define		kthreequarters		221
#define		kthreesuperior		222
#define		ktilde				223
#define		ktrademark			224
#define		ktwo				225
#define		ktwosuperior		226
#define		ku					227
#define		kuacute				228
#define		kucircumflex		229

#define		kudieresis			230
#define		kugrave				231
#define		kunderscore			232
#define		kv					233
#define		kw					234
#define		kx					235
#define		ky					236
#define		kyacute				237
#define		kydieresis			238
#define		kyen				239

#define		kz					240
#define		kzcaron				241
#define		kzero				242

#define		kNumAdobeChars		kzero
