/*
 * @(#)mlib_sys.c	1.7 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifdef _MSC_VER
#pragma warning(disable:4068 4244 4101)
#endif /*_MSC_VER*/

#ifdef __SUNPRO_C
#pragma ident	"@(#)mlib_sys.c	1.7	98/06/26 SMI"
#endif /* __SUNPRO_C */

#include <stdlib.h>
#include <string.h>

void *mlib_malloc(unsigned int size)
{
#ifdef _MSC_VER
  /*
   * Currently, all MS C compilers for Win32 platforms default to 8 byte
   * alignment. -- from stdlib.h of MS VC++5.0.
   */
  return malloc(size);
#else
  return memalign(8, size);
#endif
}

void mlib_free(void *ptr)
{
  free(ptr);
}

void *mlib_memset(void *s, int c, unsigned int n)
{
  return memset(s, c, n);
}

void *mlib_memcpy(void *s1, void *s2, unsigned int n)
{
  return memcpy(s1, s2, n);
}

