/*
 * @(#)mlib_sys_proto.h	1.5 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */


#ifndef MLIB_SYS_PROTO_H
#define MLIB_SYS_PROTO_H

#ifdef __SUNPRO_C
#pragma ident	"@(#)mlib_sys_proto.h	1.7	98/06/26 SMI"
#endif /* __SUNPRO_C */

#ifdef	__cplusplus
extern "C" {
#endif

void *mlib_malloc(unsigned int size);
void mlib_free(void *ptr);
void *mlib_memset(void *s, int c, unsigned int n);
void *mlib_memcpy(void *s1, void *s2, unsigned int n);

char *mlib_version();

#ifdef	__cplusplus
}
#endif

#endif	/* MLIB_SYS_PROTO_H */
