/*
 * @(#)doeObject.c	1.8 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @(#)doeObject.c 3.1 97/11/17
 *
 * ---------------------------------------------------------------------
 *	Copyright (c) 1992-1997 by Ductus, Inc. All Rights Reserved.
 * ---------------------------------------------------------------------
 *
 */

#include "doeObject-p.h"

#define	ROOTED_OBJECT		0
#define	UPROOTED_OBJECT		1

static	char*	className	(doeE, doeObject);
static	doeObject
		copy		(doeE, doeObject);
static	void	_cleanup	(doeE, doeObject);
static	void	_enumCoObs	(doeE, doeObject, doeObjectEnumCb);

doeObjectFace	doeObjectClass = {	sizeof(doeObjectData),	/* Object i/f */
					className,
					copy,
					_cleanup,
					_enumCoObs,
					doeObject_uproot
				  };
void
doeObject_init(doeE env, doeObject o)
{
    doeObjectData*	po = (doeObjectData*)o;

    po->face = 0;	/* since object is a partial class, the derived
			 * class must take up this responsiblity */
/*  po->xxxx = (void*)ROOTED_OBJECT;	*/
}

void
doeObject_copyinit(doeE env, doeObject target, doeObject source)
{
    doeObjectData*	ptarget = (doeObjectData*)target;
    doeObjectData*	psource = (doeObjectData*)source;

    ptarget->face = psource->face;
/*  ptarget->xxxx = (void*)ROOTED_OBJECT; 	*/
}

void
doeObject_uproot(doeE env, doeObject o)
{
    doeObjectData*	po = (doeObjectData*)o;

/*  po->xxxx = (void*)UPROOTED_OBJECT;	*/
}

char*
className(doeE env, doeObject target)
{
    return ("doeObject");
}
doeObject
copy(doeE env, doeObject target)
{
    return target;
}
void
_cleanup(doeE env, doeObject target)
{
}
void
_enumCoObs(doeE env, doeObject target, doeObjectEnumCb cb)
{
}
