/*
 * @(#)dcPathConsumer-p.h	1.9 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @(#)dcPathConsumer-p.h 3.1 97/11/17
 *
 * -----------------------------------------------------------------------------
 *	Copyright (c) 1992-1997 by Ductus, Inc. All Rights Reserved.
 * -----------------------------------------------------------------------------
 *
 */

#ifndef _DC_PATH_CONSUMER_P_H
#define _DC_PATH_CONSUMER_P_H

#include "doeObject-p.h"
#include "dcPathConsumer.h"

#ifdef	__cplusplus
extern "C" {
#endif

extern dcPathConsumerFace   dcPathConsumerClass;


/*
 * No data purely specific to dcPathConsumer exists,
 * the class is really a "pure interface" in disguise.
 */
typedef struct dcPathConsumerData_ {
    doeObjectData	obj;
} dcPathConsumerData;


extern void    dcPathConsumer_init(doeE, dcPathConsumer);
extern void    dcPathConsumer_copyinit(doeE, dcPathConsumer, dcPathConsumer src);

extern dcPathConsumerFace dcPathConsumerClass;

#ifdef	__cplusplus
}
#endif

#endif  /* _DC_PATH_CONSUMER_P_H */
