/*
 * @(#)dcLLFillerS.h	1.3 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * @(#)dcLLFillerS.h 3.1 97/11/17
 *
 * -------------------------------------------------
 *	Copyright (c) 1992-1996 by Ductus, Inc.
 * -------------------------------------------------
 */

#ifndef _DC_LLFILLERS_H
#define _DC_LLFILLERS_H

#include "dcLLFiller.h"

#ifdef	__cplusplus
extern "C" {
#endif

#define dcLLFillerS_maxWN		63
#define dcLLFillerS_tileSizeL2S		5
#define dcLLFillerS_subGridL2S		3

#define dcLLFillerS_ticsSetupArc1HV	70
#define dcLLFillerS_ticsSetupArc1	77
#define dcLLFillerS_ticsSetupArc2	172
#define dcLLFillerS_ticsSetupArc3	265
#define dcLLFillerS_ticsStepArc1HV	16
#define dcLLFillerS_ticsStepArc1	28
#define dcLLFillerS_ticsStepArc2	43
#define dcLLFillerS_ticsStepArc3	60

extern void		dcLLFillerS_staticInitialize(doeE env);
extern void		dcLLFillerS_staticFinalize  (doeE env);

/* no public creation */
extern dcLLFiller	dcLLFillerS_get(doeE env);
extern void		dcLLFillerS_release(doeE env, dcLLFiller f);


#ifdef	__cplusplus
}
#endif

#endif /* _DC_LLFILLERS_H */
