/*
 * @(#)ListBug.java	1.5 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;
import java.util.Date;



class LTest extends Frame {
  Panel listpanel;

  public LTest() {
    super("ListStressTest");
    listpanel = new ListPanel();
    Dimension d;

    add("Center",listpanel);
    resize(700, 400);
    show();
  }
}


public class ListBug extends TestApplet {
  LTest ltest;

    public void init() {
	setLayout(new GridLayout(0,1));
	add(new Button("start"));
    }

    public void destroy() {
	if (ltest != null) {
	    ltest.dispose();
	}
    }

    public boolean action(Event evt, Object arg) {
	if ("start".equals(arg)) {
	    ltest = new LTest();
	    ((Button)evt.target).setLabel("stop");
	} else if ("stop".equals(arg)) {
	    ltest.dispose();
	    ltest = null;
	    ((Button)evt.target).setLabel("start");
	}
	return true;
    }


  public static void main(String argv[]) {
    Frame f = new Frame("ListStressTest");
    ListBug listbug = new ListBug();
    Dimension d;

    listbug.init();
    listbug.start();

    f.add("Center", listbug);
    f.resize(100, 100);
    f.show();
  }
}


class ListPanel extends Panel {
  StressList stresslist;
  Dimension d;

  public ListPanel() {
    stresslist = new StressList();
    setLayout(new FlowLayout());
    add(stresslist);
  }
}



class StressList extends List {
  List widgetmenu;
  StringBuffer strbuf = new StringBuffer();

  public StressList() {
    for(int i=0; i < 10 ; i++) {
      strbuf.append("11");
      addItem(strbuf.toString());
    }
    resize(500, 300);
    System.out.println("Number of items in the list: " + countItems());
  }
}
