/*
 * @(#)ComponentColor.java	1.8 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

public class ComponentColor extends Applet {
  Button b;
  TextArea ta;
  Choice c;

  public void init() {
    b = new Button ("Green");
    b.setForeground(Color.green);
    b.setBackground(Color.red);

    ta = new TextArea(5, 50);
    ta.insertText("Hello World! This is a foreground color test.", 0);
    ta.setForeground(Color.blue);
    ta.setBackground(Color.cyan);

    c = new Choice();
    c.addItem("One");
    c.addItem("Two");
    c.addItem("Three");
    c.addItem("Four");
    c.addItem("Five");
    c.setForeground(Color.green);
    c.setBackground(Color.orange);
    c.setFont(new Font("Times", Font.ITALIC, 18));

    setLayout(new FlowLayout());
    add(ta);
    add(c);
    add(b);
  }

  public static void main(String argv[]) {
    Frame f = new Frame("ButtonColorTest");
    ComponentColor bc = new ComponentColor();

    bc.init();
    bc.start();

    f.add("North", bc);
    f.resize(500, 200);
    f.show();
  }
}
