/*
 * @(#)ContainerTest.java	1.6 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

public class ContainerTest extends TestApplet {
  Component lastobj;
  Choice complist = new Choice();
  Button be = new Button("Button");
  Checkbox ce = new Checkbox("Checkbox");
  
  public void init() {
    complist = new Choice();
  
    complist.addItem("Button");
    complist.addItem("CheckBox");

    setLayout(new BorderLayout());
    add("North",complist);
    add("South", be);
    lastobj = be;
  }


  public boolean handleEvent(Event evt) {
    Object target = evt.target;

    switch (evt.id) {
    case Event.ACTION_EVENT:
      switch (complist.getSelectedIndex()) {
      case 0:
	remove(lastobj);
	add("South",be);
	be.show();
	lastobj = be;
	break;
      case 1:
	remove(lastobj);
	add("South", ce);
	ce.show();
	lastobj = ce;
	break;
      default:
        return false;
      }
      break;
    default:
      return false;
    }
    validate();
    return true;
  }
}
