/*
 * @(#)EventTest2.java	1.6 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.applet.*;

public class EventTest2 extends TestApplet {
  Component lastobj;
  Panel listpanel = new Panel();
  DialogFrame dialogframe = new DialogFrame("DialogFrame");
  FDialogFrame fdialogframe = new FDialogFrame("FileDialogFrame");
  ScrollbarFrame sbframe = new ScrollbarFrame("ScrollbarFrame");
  MenuFrame menuframe = new MenuFrame("MenuEventsFrame");
  Choice complist = new Choice();
  ButtonEvents be = new ButtonEvents();
  CheckboxEvents ce = new CheckboxEvents();
//  DialogEvents de = new DialogEvents(dialogframe, false);
//  FDialogEvents fde = new FDialogEvents(fdialogframe, "FileDialog");
  FrameEvents fe = new FrameEvents("FrameEvents");
  LabelEvents labele = new LabelEvents("LabelEvents");
  ListEvents liste = new ListEvents(6, true);
  PanelEvents pe = new PanelEvents("PanelEvents");

  public void init() {
    complist.addItem("Button");
    complist.addItem("CheckBox");
    complist.addItem("Dialog");
    complist.addItem("FileDialog");
    complist.addItem("Frame");
    complist.addItem("Label");
    complist.addItem("List");
//    complist.addItem("Menu");
    complist.addItem("Panel");
    complist.addItem("Scrollbar");
//    complist.addItem("TextArea");
//    complist.addItem("TextField");

    dialogframe.resize(200, 200);
    fdialogframe.resize(200, 300);
    fe.resize(200, 300);

    listpanel.add(liste);
    liste.addItem("One");
    liste.addItem("two");
    liste.addItem("three");
    liste.addItem("four");
    liste.addItem("five");
    liste.addItem("six");
    liste.addItem("seven");
    liste.addItem("eight");
    liste.hide();

    setLayout(new FlowLayout());
//    add("North",complist);
//    add("South", be);
    add(complist);
    add(be);
    lastobj = be;

//    sbframe.add(she);
//    sbframe.add(sve);
  }


  public boolean handleEvent(Event evt) {
    Object target = evt.target;

    switch (evt.id) {
    case Event.ACTION_EVENT:
      switch (complist.getSelectedIndex()) {
      case 0:
	remove(lastobj);
//	add("South",be);
	add(be);
	be.show();
	lastobj = be;
	validate();
	break;
      case 1:
	remove(lastobj);
//	add("South", ce);
	add(ce);
	ce.show();
	lastobj = ce;
	validate();
	break;
      case 2:
	remove(lastobj);
//	add("South", dialogframe);
	add(dialogframe);
	dialogframe.show();
	lastobj = dialogframe;
	break;
      case 3:
	remove(lastobj);
//	add("South", fdialogframe);
	add(fdialogframe);
	fdialogframe.show();
	lastobj = fdialogframe;
	validate();
	break;
      case 4:
	remove(lastobj);
//	add("South", fe);
	add(fe);
	fe.show();
	lastobj = fe;
	break;
      case 5:
	remove(lastobj);
//	add("Center", labele);
	add(labele);
	labele.show();
	lastobj = labele;
	validate();
	break;
      case 6:
	remove(lastobj);
//	add("South", listpanel);
	add(listpanel);
	liste.show();
	lastobj = listpanel;
	validate();
	break;
      case 7:
	remove(lastobj);
	add(menuframe);
	menuframe.show();
	lastobj = menuframe;
	validate();
	break;
      case 8:
	remove(lastobj);
//	add("South", pe);
	add(pe);
	pe.show();
	lastobj = pe;
	validate();
	break;
      case 9:
	remove(lastobj);
//	add("South", sbframe);
	add(sbframe);
	sbframe.show();
	lastobj = sbframe;
	break;
      default:
        return false;
      }
      break;
    default:
      return false;
    }
    return true;
  }
}
