/*
 * @(#)OutputApplet.java	1.8 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.applet.*;

public class OutputApplet extends Applet implements OutputHandler {
    Label	title;
    TextArea	t;

    public void init() {
	setLayout(new BorderLayout());
	add("North", title=new Label("OutputApplet",Label.CENTER));
	title.setForeground(Color.red);
	add("Center", t = new TextArea());
	t.setEditable(false);
    }
    public synchronized void setTitle(String s) {
	title.setText(s);
    }
    public synchronized void print(String s) {
	s = s + "\n";
	t.insertText(s, 0);
	t.select(0,0);
    }
}
