echo "::: Executing $0 :::"
echo "Load everything from a JAR file"
echo ""

export CLASSPATH
CLASSPATH=classes

if [ "$GETRESOURCE_URL" = "" ] ; then
  echo "set GETRESOURCE_URL to an http: URL to the base of the getResource test"
  echo "should not end in /"
  exit 1
fi

B=$GETRESOURCE_URL/jars/
BB=$GETRESOURCE_URL/alt1/

H=file:`pwd`/jars/
tar cf - alt1 | (cd jars/ThEhIdDeNlInK ; tar xf -)
# Cheat around the security checks
HH=file:`pwd`/jars/ThEhIdDeNlInK/alt1/

G=gold

#V=-2
V=

# compile local, test-specific classes
javac alt1/Klass02.java

# create any jar files
cd alt1
 jar cvf ../jars/MyJarFile01.jar *
cd ..

# actual tests
java util.TestApplet -k $V $B -jar MyJarFile01.jar Klass02 \
		util.Positive $G/Pos03
java util.TestApplet -k $V $H -jar MyJarFile01.jar Klass02 \
 		util.Positive $G/Pos03

java util.TestApplet -k $V $B -jar MyJarFile01.jar Klass02 \
 		util.Negative $G/Neg03
java util.TestApplet -k $V $H -jar MyJarFile01.jar Klass02 \
 		util.Negative $G/Neg03

java util.TestApplet -k $V $B -jar MyJarFile01.jar Klass02 \
 		util.VerifyContent $BB $G/Cont02
java util.TestApplet -k $V $H -jar MyJarFile01.jar Klass02 \
 		util.VerifyContent $HH $G/Cont02
