/*
 * @(#)FontTest.java	1.2 98/09/21
 *
 * Copyright 1998-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
/*
 * @(#)AffineAccuracy.java	1.1 97/10/20
 * 
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road, 
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * CopyrightVersion 1.2
 * 
 */
import java.lang.*;
import java.awt.*;
import java.awt.geom.*;
import java.awt.image.*;
import java.applet.*;
import java.awt.font.*;




public class FontTest extends Frame {

    public FontTest() {
        setTitle("Font Test");
        setSize(400, 400);
        add(new FontTestCanvas(), "North");
        show();
        getComponent(0).requestFocus();
    }

    public static void main(String argv[]) {
        FontTest test = new FontTest();
    }
}

class FontTestCanvas extends Canvas {

    FontTestCanvas() {
        super();
	setSize(300, 80);
	setBackground(Color.cyan);
	setVisible(true);
	setEnabled(true);
    }
    
     public void paint(Graphics g) {
        super.paint(g);
	g.setColor(getForeground());
	Font ff = new Font("Serif",Font.PLAIN,12);
	g.setFont(ff);
	FontRenderContext frc = ((Graphics2D)g).getFontRenderContext();
	GlyphVector gv = ff.createGlyphVector(frc,"\u3042\u3041\u3056\u305B\u3041\u3042\u3070\u3070\u3042\u306E"); 
	Shape otl = gv.getOutline();

	//	g.drawString("\u00df\u3041\u3042\u00df\u3041\u3042\u00df\u3041abc\u3042\u00dfabc", 5, 15);

	g.drawString("\u3042\u3041\u3056\u305B\u3041\u3042\u3070\u3070\u3042\u306E", 5, 45);
	
	//	g.drawString("0B0A0V0[",5,75);

	g.translate(10,10);
	((Graphics2D)g).draw(otl); 
    }
    
}
