/*
 * @(#)Helper.java	1.4 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

interface HelperInterface {
}

/**
 * Helper class for OldNMI sanity checker.
 *
 * @author Anand Palaniswamy
 * @version 1.4, 09/21/98
 */
public class Helper implements HelperInterface {
    static Helper aHelper = new Helper();

    static int allocCount = 0;
    static Helper[] helperArray = null;
    
    String stringOfLength8 = "JavaSoft";
    Helper() {
	allocCount++;
    }

    boolean arraySizeCheck(int size) {
	return (helperArray.length == size);
    }

    boolean isArgument10(int argument) {
	return (argument == 10);
    }

    static boolean isArgument10Static(int argument) {
	return (argument == 10);
    }
}

