/*
 * %W% %E%
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.lang.*;
import java.io.*;


/**
 * The ConfigurationSettings class encapsulates config info so that it can be
 * easily passed around.
 */
public class ConfigurationSettings implements Serializable
{
    //Variables used to hold the Option Values
    int             iThreadVal;
    int             iMessageSizeRandomVal;
    int             iMessageSizeExactlyVal;
    int             iRecursionRandomVal;
    int             iRecursionExactlyVal;
    int             iIterationExactlyVal;
    String          sCurrentMessageSize;
    String          sCurrentRecursion;
    String          sCurrentIteration;
}
