/*
 * %W% %E%
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

import java.awt.*;
import java.lang.*;

public class JuicerDisplay extends TextArea
{
    public synchronized void appendText(String text)
    {
        super.appendText(text);
    }

    public synchronized void clear()
    {
        int iEnd;

        selectAll();
        iEnd = getSelectionEnd();
        replaceText("", 0, iEnd);
    }
}
