/*
 * @(#)ClientInterface.java	1.3 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package benchmarks;

/**
 * The remote functions needed to be implemented by the Test Client 
 */

public interface ClientInterface extends java.rmi.Remote {

	/**
	 * A callback method invoked by the server to check for the 
	 * <em>liveness</em> of the client's connection
	 */

	public void ping() throws java.rmi.RemoteException;

}
