/*
 * @(#)RemoteObj.java	1.3 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package benchmarks;

import java.rmi.*;

/** 
 * This object is used to test remote calls passing or returning remote objects
 * since, in this case the <i>stubs</i> for the remote object is passed and 
 * not a copy of the object, as is usually the case.
 */

public class RemoteObj  
	extends java.rmi.server.UnicastRemoteObject
	implements Remote {

	private int intMember;

	public RemoteObj () throws RemoteException{
	}

	/**
  	 * Constructs a remote object with an identifying integer
 	 */

	public RemoteObj (int i) throws RemoteException {
		intMember = i;
	}
			
}
	
