/*
 * @(#)RepositoryException.java	1.3 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package benchmarks;

/**
 * Exceptions specific to the Repository 
 */
public class RepositoryException extends Exception {

	/**
	 * Provides no detailed message
	 */
	public RepositoryException () {
		super();
	}

	/**
	 * Provides a detailed message
	 */
	public RepositoryException (String msg) {
		super(msg);
	}
}
