/*
 * @(#)node.java	1.3 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package benchmarks;

import java.io.*;

/**
 * This class represents a BTree node. Each node has left and right nodes
 * and an integer ID to identify the node.
 *
 * @see bTree
 */
public class node implements Serializable{

	private int nodeID;

	private node left;

	private node right;

	public node(int ID) {

		this.nodeID = ID;
		left = null;
		right = null;
	}

	public void setID(int ID) {

		this.nodeID = ID;

	}

	public void setLeft(node leftNode) {

		this.left = leftNode;

	}

	public void setRight(node rightNode) {

		this.right = rightNode;

	}

	public int getID() {

		return nodeID;

	}

	public node getLeft() {

		return left;

	}

	public node getRight() {

		return right;

	}
}
