/*
 * @(#)FactoryTest.java	1.8 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.util.*;
import java.applet.*;
import java.net.*;
import java.io.*;

public class FactoryTest extends SecurityTest {
    public void test(Graphics g) throws IOException {
	MySocketImplFactory sif = new MySocketImplFactory();
	try {
	    Socket.setSocketImplFactory(sif);
  	} catch (IOException e) {
	System.out.println("Caught IOException in FactoryTest");
	throw e;
	}
    }
}

class MySocketImpl extends SocketImpl {
    MySocketImpl() { }
    public void create(boolean stream) throws IOException {};
    public void connect(String host, int port) throws IOException {};
    public void connect(InetAddress address, int port) throws IOException{};
    public void bind(InetAddress host, int port) throws IOException {};
    public void listen(int count) throws IOException{};
    public void accept(SocketImpl s) throws IOException {};
    public InputStream getInputStream() throws IOException{ return null; };
    public OutputStream getOutputStream() throws IOException{ return null; };
    public void close() throws IOException{};
    public int available() throws IOException{ return 0; };

    public Object getOption(int i) {
	return null;
    }

    public void setOption(int i, Object o) {
    }
}
class MySocketImplFactory implements SocketImplFactory {
    MySocketImplFactory() {}
    public SocketImpl createSocketImpl() { return new MySocketImpl();}
}
