/*
 * @(#)GetenvTest.java	1.5 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.util.*;
import java.applet.*;

public class GetenvTest extends SecurityTest {
    public void test(Graphics g) throws java.io.IOException {
	String s;
	try {
		s = System.getenv("NAME");
		System.out.println("getenv(NAME) returns: " + s);
	} catch (Error e) {
		System.out.println(e.getMessage());
		throw new SecurityException("Call to System.getenv generated Error and error message as expected");
	}
    }
}
	    
