/*
 * @(#)ThreadGroupTest.java	1.7 98/09/21
 *
 * Copyright 1995-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.*;
import java.util.*;
import java.applet.*;

public class ThreadGroupTest extends SecurityTest implements Runnable {
    public void test(Graphics gr) {
	ThreadGroup g = Thread.currentThread().getThreadGroup();
	while (g.getParent() != null) {
	    g = g.getParent();
	}
	Thread me = new Thread(g, this, "ThreadSecurity Test");
	me.start();
    }

    public void run() {
    }
}

