/*
 * @(#)TestParsePKCS7.java	1.5 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package pkcs;

import java.io.*;
import java.security.*;

import sun.security.pkcs.*;
import sun.security.util.*;

import test.Test;

public class TestParsePKCS7 extends Test {

    public File input;

    public void run() {

	if (!input.exists()) {
	    System.err.println("cannot find file: " + input);
	}

	try {
	    FileInputStream fis = new FileInputStream(input);
	    DataInputStream dis = new DataInputStream(fis);
	    byte[] data = new byte[dis.available()];
	    dis.readFully(data);
	    
	    PKCS7 pkcs = new PKCS7(new DerInputStream(data));
	    
	    System.out.println("success:\n" + pkcs);

	} catch (Exception e) {
	    e.printStackTrace();
	}
    }
}
    
