/*
 * @(#)TP_BT.java	1.3 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.io.ObjectOutputStream;
import java.io.ObjectInputStream;
import java.io.IOException;

class TP_BT implements java.io.Serializable {
    public TP_BT left;
    public TP_BT right;

    public TP_BT() {
	left = new TP_BT(5);
	right = new TP_BT(5);
    }
    public TP_BT(int l) {
	if (l > 0) {
	    left = new TP_BT(l-1);
	    right = new TP_BT(l-1);
	}
    }

    private void writeObject(ObjectOutputStream out) throws IOException {
	out.writeObject(left);
	out.writeObject(right);
    }

    private void readObject(ObjectInputStream in)
	throws IOException, ClassNotFoundException
    {
	left = (TP_BT)in.readObject();
	right = (TP_BT)in.readObject();
    }
}
