/*
 * @(#)T_2400Eint.java	1.3 98/09/21
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.util.Random;
import java.io.ObjectInput;
import java.io.ObjectOutput;
import java.io.IOException;

public class T_2400Eint implements java.io.Externalizable {
    int[] data;

    public T_2400Eint() {
	data = new int[2400];
	Random r = new Random();
	for (int i = 0; i < data.length; i++) {
	    data[i] = r.nextInt();
	}
    }
    public void writeExternal(ObjectOutput out) throws IOException {
	out.writeInt(data.length);
	for (int i = 0; i < data.length; i++) {
	    out.writeInt(data[i]);
	}
    }

    public void readExternal(ObjectInput in) throws IOException {
	int length = in.readInt();
	data = new int[length];
	for (int i = 0; i < length; i++) {
	    data[i] = in.readInt();
	}
    }
}
