/*
 * @(#)MEmbeddedFrame.java	1.6 98/03/18
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.motif;

import java.awt.Component;
import java.awt.peer.FramePeer;
import sun.awt.EmbeddedFrame;
import java.awt.peer.ComponentPeer;
import sun.awt.*;
import java.awt.*;

public class MEmbeddedFrame extends EmbeddedFrame {
    public long handle = 0;
    Object localpeer; // local instance of peer

    native void setThisPeer(Object lp);

    public MEmbeddedFrame() {
        setThisPeer(null);
    }

    // handle should be a valid Motif widget.
    public MEmbeddedFrame(long handle) {
       this.handle = handle;
       MToolkit toolkit = (MToolkit)Toolkit.getDefaultToolkit();
       localpeer = toolkit.createEmbeddedFrame(this, (int)handle);
       setThisPeer( localpeer);

    }
}
