/*
 * @(#)MEmbeddedFramePeer.java	1.7 98/06/25
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.motif;

import java.awt.peer.*;
import java.awt.Component;
import sun.awt.EmbeddedFrame;

public class MEmbeddedFramePeer extends MFramePeer implements FramePeer{
    private long handle = 0;

    static {
	initIDs();
    }

     /**
     * Initialize JNI field and method IDs for fields that may be
       accessed from C.
     */
    private static native void initIDs();

    public MEmbeddedFramePeer(EmbeddedFrame target, long handle) {
        super(target);
        this.handle = handle;
    }

    void create(MComponentPeer parent) {}  // already created
    native void NEFcreate(MComponentPeer parent, Object arg, int x);
    native void pShow();
    void EFcreate(MComponentPeer parent, Object arg, int ladHandle){
      NEFcreate(parent, arg, ladHandle);
    }

}
