/*
 * @(#)NumericField.java	1.1 98/06/04
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package sun.awt.motif;

import java.awt.*;

class NumericField extends TextField {
    public NumericField(int chars) {
        super(chars);
    }
    public boolean keyDown(Event evt, int key) {
        if (Character.isDigit((char)key) == false && key != '\b') {
            Toolkit.getDefaultToolkit().beep();
            return true;
        }       
        return false;   
    }
    public void setValue(int value) {
        Integer intVal = new Integer(value);
        setText(intVal.toString());
    }
    public int getValue() throws NumberFormatException {
        Integer intVal;
        String valStr = getText();

        intVal = new Integer(valStr);
        return intVal.intValue();
    }   
}
