/*
 * @(#)internal_md.h	1.15 98/09/21
 *
 * Copyright 1994-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * Solaris-specific components of Green threads
 */

#ifndef _JAVASOFT_SOLARIS_INTERNAL_MD_H_
#define _JAVASOFT_SOLARIS_INTERNAL_MD_H_

#include <signal.h>

/*
 * Machine dependent info
 */
typedef struct {
    sigset_t signalMask;
    sigset_t intrLockOldMask;
    int intrLockCount;
} machdep_t;

#define MACHDEP(tid)    (&((tid)->machdep))

extern int green_sigprocmask(int how, const sigset_t *set, sigset_t *oset);

#endif /* !_JAVASOFT_SOLARIS_INTERNAL_MD_H_ */
