/*
 * @(#)machgc_sparc.s	1.9 98/03/18
 *
 * Copyright 1994-1996 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/*
 * For SPARC Solaris only: the one piece of GC that can't be in C.
 */

#include <sys/trap.h>

	.global	gc_locked
	.global gc0_locked

/*
 * Flush register windows, then enter the real garbage collector. 
 * Should only be executed when holding the heap lock.
 */
gc_locked:
	ta	ST_FLUSH_WINDOWS
    	mov 	%o7, %g1	! save value that "call" bashes
    	call	gc0_locked
    	mov 	%g1, %o7
