/*
 * @(#)awt_AWTEvent.h	1.1 98/09/22
 * 
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road, 
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * CopyrightVersion 1.2
 * 
 */
/*
 * Implements the native code for the java.awt.AWTEvent class
 * and all of the classes in the java.awt.event package.
 *
 * THIS FILE DOES NOT IMPLEMENT ANY OF THE OBSOLETE java.awt.Event
 * CLASS. SEE awt_Event.[ch] FOR THAT CLASS' IMPLEMENTATION.
 */
#ifndef _AWT_AWTEVENT_H_
#define _AWT_AWTEVENT_H_

#include "jni_util.h"

struct AWTEventIDs {
  jfieldID data;
  jfieldID consumed;
  jfieldID id;
};

struct InputEventIDs {
  jfieldID modifiers;
};

struct KeyEventIDs {
  jfieldID keyCode;
  jfieldID keyChar;
};

extern struct AWTEventIDs awtEventIDs;
extern struct InputEventIDs inputEventIDs;
extern struct KeyEventIDs keyEventIDs;

#endif /* _AWT_AWTEVENT_H_ */
