/*
 * @(#)awt_Graphics.h	1.9 98/07/13
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

jfieldID getgPDataIDFromX11Graphics();

extern XImage *getImageBuf(Drawable draw, int x, int y, int w, int h);

extern XImage *createImageBuf(AwtDataPtr awtData, int width, int height, 
			      int always);

extern void DoPutImage(Display *dsp, Drawable win, GC gc, XImage *img,
		       int sx, int sy, int dx, int dy, int w, int h);

extern void dropImageBuf(XImage *img, XImage *savedXImage);

void AddToRegion(Region *regionP, int startX,
                 int startY, int x, int y, int w, int endX, int endY);

#ifdef USE_DGA
int DGA_DeferredLockViewResources(JNIEnv *env, jobject idData);
    
void DGA_UnlockViewResources(Dga_drawable ddraw);
#endif

/* REMIND: Get these constants from SunGraphics2D class headers */
#define LOCK_TO_READ		0x01
#define LOCK_TO_WRITE		0x02

#define METHOD_DGA		0x01
#define METHOD_XIMAGE		0x03

typedef struct ScreenData {
    int		method;
    XImage	*screenBits;
    Region      region;
    int         fUsingRegion;
    struct GraphicsData *gdata;
    int         locked;
#ifdef USE_DGA
    Dga_drawable dgadraw;
#endif
} ScreenData;
