/*
 * @(#)awt_Insets.c	1.2 98/09/21
 *
 * Copyright 1993-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#include "java_awt_Insets.h"
#include "jni_util.h"

#include "awt_Insets.h"

struct InsetsIDs insetsIDs;


JNIEXPORT void JNICALL
Java_java_awt_Insets_initIDs(JNIEnv *env, jclass cls)
{
    insetsIDs.top = (*env)->GetFieldID(env, cls, "top", "I");
    insetsIDs.bottom = (*env)->GetFieldID(env, cls, "bottom", "I");
    insetsIDs.left = (*env)->GetFieldID(env, cls, "left", "I");
    insetsIDs.right = (*env)->GetFieldID(env, cls, "right", "I");
}
