/*
 * @(#)awt_MenuComponent.c	1.3 98/09/21
 *
 * Copyright 1993-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#include "java_awt_MenuComponent.h"
#include "jni_util.h"

#include "awt_MenuComponent.h"

struct MenuComponentIDs menuComponentIDs;


JNIEXPORT void JNICALL
Java_java_awt_MenuComponent_initIDs(JNIEnv *env, jclass cls)
{
    menuComponentIDs.font =
      (*env)->GetFieldID(env, cls, "font", "Ljava/awt/Font;");
    menuComponentIDs.getParent =
      (*env)->GetMethodID(
	  env, cls, "getParent_NoClientCode", "()Ljava/awt/MenuContainer;");
}
