/*
 * @(#)mlib_v_ImageFilters.h	1.4 98/08/21
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#pragma ident   "@(#)mlib_v_ImageFilters.h	1.16    98/04/22 SMI"

/*
 *    These tables are used by VIS versions of the
 *    mlib_ImageRotate and mlib_ImageAffine functions.
 */

#ifndef MLIB_V_IMAGEFILTERS_H
#define MLIB_V_IMAGEFILTERS_H

#include "mlib_image.h"

union table {mlib_s16 s[4]; mlib_d64 d;};

extern const union table mlib_filters_u8_bl[],
                         mlib_filters_u8_bc[],
                         mlib_filters_u8_bc_3[],
                         mlib_filters_u8_bc_4[],
                         mlib_filters_s16_bc[],
                         mlib_filters_s16_bc_3[],
                         mlib_filters_s16_bc_4[];

#endif /* MLIB_V_IMAGEFILTERS_H */
