/*
 * @(#)Scanf.java	1.4 98/09/21
 *
 * Copyright 1998-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
/**
 * @(#)Scanf.java	1.2 98/08/18
 *
 * This is a test of scanf under green threads.  Build it and then set the
 * LD_LIBRARY_PATH so the VM can find the library and then run it.  It should
 * block and allow you to enter a number.
 */
public class Scanf {
    static {
	System.loadLibrary("Scanf");
    }

    public static native int scanf();
    public static void main(String[] args) throws Exception {
	if (scanf() != 1)
	    throw new InternalError("problem with scanf");
	byte[] b = new byte[1024];
	System.in.read(b, 0, 1024);
	System.out.println(b);
	if (scanf() != 1)
	    throw new InternalError("problem with scanf");
    }
}
