/*
 * @(#)Win32PrintGraphics.java	1.7 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package sun.awt.win32;

import java.awt.*;


/**
 * Win32PrintGraphics is an object that encapsulates a print graphics context 
 * for a page. 
 * 
 * @version 
 */

public class Win32PrintGraphics extends Win32Graphics implements PrintGraphics{

    PrintJob pjob;

    public Win32PrintGraphics(Win32PrintJob pjob) {
        super(pjob);
	this.pjob = pjob;
    }

    public PrintJob getPrintJob() {
        return pjob;
    }
}
