/*
 * @(#)WMenuBarPeer.java	1.11 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package sun.awt.windows;

import java.awt.*;
import java.awt.peer.*;

class WMenuBarPeer extends WMenuPeer implements MenuBarPeer {

    // MenuBarPeer implementation
  
    public native void addMenu(Menu m);
    public native void delMenu(int index);

    public void addHelpMenu(Menu m) {
        addMenu(m);
    }

    // Toolkit & peer internals
    WMenuBarPeer(MenuBar target) {
	this.target = target;
	WFramePeer framePeer = (WFramePeer) 
	    WToolkit.targetToPeer(target.getParent());
	create(framePeer);
    }
    native void create(WFramePeer f);
}
