/*
 * @(#)awt_Clipboard.h	1.8 98/09/23
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifndef AWT_CLIPBOARD_H
#define AWT_CLIPBOARD_H

#include "awt.h"

#include "sun_awt_windows_WClipboard.h"


/************************************************************************
 * AwtClipboard class
 */

class AwtClipboard {
private:
    static BOOL isGettingOwnership;

public:
    static jobject theCurrentClipboard;
    static jmethodID lostSelectionOwnershipMID;

    inline static void GetOwnership() {
	AwtClipboard::isGettingOwnership = TRUE;
	VERIFY(EmptyClipboard());
	AwtClipboard::isGettingOwnership = FALSE;
    }

    inline static BOOL IsGettingOwnership() {
	return isGettingOwnership;
    }

    static void LostOwnership(JNIEnv *env);
};

#endif /* AWT_CLIPBOARD_H */
