/*
 * @(#)awt_Insets.cpp	1.13 97/08/07
 * 
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road, 
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * CopyrightVersion 1.2
 * 
 */

#include "awt_Insets.h"
#include "awt.h"

/************************************************************************
 * AwtInsets fields
 */

jfieldID AwtInsets::leftID;
jfieldID AwtInsets::rightID;
jfieldID AwtInsets::topID;
jfieldID AwtInsets::bottomID;

/************************************************************************
 * AwtInsets native methods
 */

extern "C" {

JNIEXPORT void JNICALL 
Java_java_awt_Insets_initIDs(JNIEnv *env, jclass cls) {
    AwtInsets::leftID = env->GetFieldID(cls, "left", "I");
    AwtInsets::rightID = env->GetFieldID(cls, "right", "I");
    AwtInsets::topID = env->GetFieldID(cls, "top", "I");
    AwtInsets::bottomID = env->GetFieldID(cls, "bottom", "I");

    ASSERT(AwtInsets::leftID != NULL);
    ASSERT(AwtInsets::rightID != NULL);
    ASSERT(AwtInsets::topID != NULL);
    ASSERT(AwtInsets::bottomID != NULL);
}

} /* extern "C" */
