/*
 * @(#)awt_MouseEvent.cpp	1.13 97/08/07
 * 
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road, 
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * CopyrightVersion 1.2
 * 
 */

#include "awt_MouseEvent.h"
#include "awt.h"

/************************************************************************
 * AwtMouseEvent fields
 */

jfieldID AwtMouseEvent::xID;
jfieldID AwtMouseEvent::yID;

/************************************************************************
 * AwtMouseEvent native methods
 */

extern "C" {

JNIEXPORT void JNICALL 
Java_java_awt_event_MouseEvent_initIDs(JNIEnv *env, jclass cls) {
    AwtMouseEvent::xID = env->GetFieldID(cls, "x", "I");
    AwtMouseEvent::yID = env->GetFieldID(cls, "y", "I");

    ASSERT(AwtMouseEvent::xID != NULL);
    ASSERT(AwtMouseEvent::yID != NULL);
}

} /* extern "C" */
