/*
 * @(#)awt_TextField.h	1.12 98/09/21
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifndef AWT_TEXTFIELD_H
#define AWT_TEXTFIELD_H

#include "awt_TextComponent.h"

#include "java_awt_TextField.h"
#include "sun_awt_windows_WTextFieldPeer.h"

/************************************************************************
 * AwtTextField class
 */

class AwtTextField : public AwtTextComponent {
public:
    AwtTextField();

    static AwtTextField* Create(jobject self, jobject parent);

    /*
     *  Windows message handler functions
     */
    MsgRouting WmChar(UINT character, UINT repCnt, UINT flags, BOOL system);

};

#endif /* AWT_TEXTFIELD_H */
