/*
 * @(#)awtmsg.h	1.36 98/09/15
 *
 * Copyright 1996-1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#ifndef AWTMSG_H
#define AWTMSG_H

// AwtComponent messages
#define AWT_MSG_BASE                 WM_USER+100
#define WM_AWT_COMPONENT_CREATE	     AWT_MSG_BASE+0
#define WM_AWT_DESTROY_WINDOW        AWT_MSG_BASE+1
#define WM_AWT_TOOLKIT_CLEANUP       AWT_MSG_BASE+2
#define WM_AWT_CALLBACK              AWT_MSG_BASE+3
#define WM_AWT_MOUSEENTER 	     AWT_MSG_BASE+4
#define WM_AWT_MOUSEEXIT 	     AWT_MSG_BASE+5
#define WM_AWT_MOUSECHECK 	     AWT_MSG_BASE+6
#define WM_AWT_COMPONENT_SHOW        AWT_MSG_BASE+7
#define WM_AWT_POPUPMENU_SHOW        AWT_MSG_BASE+8
#define WM_AWT_COMPONENT_SETFOCUS    AWT_MSG_BASE+9
#define WM_AWT_LIST_SETMULTISELECT   AWT_MSG_BASE+10
#define WM_AWT_HANDLE_EVENT          AWT_MSG_BASE+11
#define WM_AWT_PRINT_COMPONENT       AWT_MSG_BASE+12
#define WM_AWT_RESHAPE_COMPONENT     AWT_MSG_BASE+13
#define WM_AWT_BEGIN_VALIDATE        AWT_MSG_BASE+14
#define WM_AWT_END_VALIDATE          AWT_MSG_BASE+15
//	#define WM_AWT_COMPONENT_ENABLE      AWT_MSG_BASE+16
//	#define WM_AWT_QUEUE_SYNC            AWT_MSG_BASE+17 // Bug #4048664 (Hide does not work on modal dialog)
#define WM_AWT_FORWARD_CHAR          AWT_MSG_BASE+18
#define WM_AWT_FORWARD_BYTE          AWT_MSG_BASE+19
#define WM_AWT_SET_SCROLL_INFO       AWT_MSG_BASE+20
//im-----
#define WM_AWT_CREATECONTEXT	     AWT_MSG_BASE+21
#define WM_AWT_DESTROYCONTEXT        AWT_MSG_BASE+22
#define WM_AWT_ASSOCIATECONTEXT	     AWT_MSG_BASE+23
#define WM_AWT_PRE_KEYDOWN	     AWT_MSG_BASE+24
#define WM_AWT_PRE_KEYUP	     AWT_MSG_BASE+25
#define WM_AWT_PRE_SYSKEYDOWN	     AWT_MSG_BASE+26
#define WM_AWT_PRE_SYSKEYUP	     AWT_MSG_BASE+27

// deleted DND mesg's from 28 - 35 inclusive

#define WM_AWT_ENDCOMPOSITION	     AWT_MSG_BASE+36
#define WM_AWT_DISPOSE               AWT_MSG_BASE+37
#define WM_AWT_SETCONVERSIONSTATUS   AWT_MSG_BASE+39
#define WM_AWT_GETCONVERSIONSTATUS   AWT_MSG_BASE+40
#define WM_AWT_SETOPENSTATUS         AWT_MSG_BASE+41
#define WM_AWT_GETOPENSTATUS         AWT_MSG_BASE+42
#define SYSCOMMAND_IMM               (0xF000 - 100)
//im--

#define WM_AWT_DLG_SHOWMODAL	     AWT_MSG_BASE+43
#define WM_AWT_DLG_ENDMODAL	     AWT_MSG_BASE+44
#define WM_AWT_SETCURSOR             AWT_MSG_BASE+45
#define WM_AWT_SETMENUBAR            AWT_MSG_BASE+46

#define WM_AWT_WAIT_FOR_SINGLE_OBJECT	AWT_MSG_BASE+50
#define WM_AWT_INVOKE_METHOD		AWT_MSG_BASE+51
#define WM_AWT_EXECUTE_SYNC	     AWT_MSG_BASE+25

#endif  // AWTMSG_H
