/*
 * @(#)awt_TextArea.cpp	1.26 97/10/07 Carl Quinn
 *
 * Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

#include <jni.h>
#include <jni_util.h>

/************************************************************************
 * Button initIDs
 */

extern "C" {

/*
 * Class:     java_awt_Button
 * Method:    initIDs
 * Signature: ()V
 */
JNIEXPORT void JNICALL
Java_java_awt_Button_initIDs(JNIEnv *env, jclass cls)
{
  /* This stub is needed, because the Solaris code needs this method. */
}

} /* extern "C" */

/************************************************************************
 * FileDialog initIDs
 */

extern "C" {

/*
 * Class:     java_awt_FileDialog
 * Method:    initIDs
 * Signature: ()V
 */
JNIEXPORT void JNICALL
Java_java_awt_FileDialog_initIDs(JNIEnv *env, jclass cls)
{
  /* This stub is needed, because the Solaris code needs this method. */
}

} /* extern "C" */

/************************************************************************
 * TextField initIDs
 */

extern "C" {

/*
 * Class:     java_awt_TextField
 * Method:    initIDs
 * Signature: ()V
 */
JNIEXPORT void JNICALL
Java_java_awt_TextField_initIDs(JNIEnv *env, jclass cls)
{
  /* This stub is needed, because the Solaris code needs this method. */
}

} /* extern "C" */

